Bug 16046 - dl_iterate_phdr should not expose internal stub
Summary: dl_iterate_phdr should not expose internal stub
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: dynamic-link (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-14 20:34 UTC by Paul Pluzhnikov
Modified: 2014-09-07 12:18 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Pluzhnikov 2013-10-14 20:34:05 UTC
Test case:

#define _GNU_SOURCE
#include <stdio.h>
#include <link.h>

int callback(struct dl_phdr_info *info, size_t size, void *data) {
  printf("addr=%p name=%s phdr=%p phnum=%d\n",
         (void*)info->dlpi_addr, info->dlpi_name, info->dlpi_phdr,
         info->dlpi_phnum);
  return 0;
}
int main() {
  int status;
  status = dl_iterate_phdr(callback, NULL);
  return 0;
}


Using current git trunk, dynamically linked binary shows:

addr=(nil) name= phdr=0x400040 phnum=9
addr=0x7fff2a613000 name=linux-vdso.so.1 phdr=0x7fff29d13040 phnum=4
addr=0x7f73a76d4000 name=./libc.so.6 phdr=0x7f73a76d4040 phnum=10
addr=0x7f73a7a87000 name=./elf/ld.so phdr=0x7f73a7a87040 phnum=7

Statically linked binary:

addr=(nil) name= phdr=0x400040 phnum=6
addr=(nil) name= phdr=(nil) phnum=0
addr=0x7ffffd5e1000 name=linux-vdso.so.1 phdr=0x7ffffcce1040 phnum=4

Same with glibc-2.15:
addr=(nil) name= phdr=0x400040 phnum=6


What is the second entry? People calling dl_iterate_phdr may legitimately expect only real ELF images to appear.

At a minimum, this internal entry should be hidden from dl_iterate_phdr.

AFAICT, this was added in commit:

commit f91f1c0fb89056995f1c9c6a06c361efdf5139e7
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jun 28 16:20:26 2013 +0100

    [BZ #15022] Correct global-scope dlopen issues in static executables.
    
    This change creates a link map in static executables to serve as the
    global search list for dlopen.  It fixes a problem with the inability
    to access the global symbol object and a crash on an attempt to map a
    DSO into the global scope.  Some code that has become dead after the
    addition of this link map is removed too and test cases are provided.
Comment 1 cvs-commit@gcc.gnu.org 2014-01-31 18:03:25 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  0d23a5c1b1908700d25b7e3c6cece148e19dded4 (commit)
      from  0037bb6010522e20dde2da7922071d5cb53f67eb (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0d23a5c1b1908700d25b7e3c6cece148e19dded4

commit 0d23a5c1b1908700d25b7e3c6cece148e19dded4
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jan 31 17:51:31 2014 +0000

    [BZ #16046] Static dlopen correction fallout fixes.
    
    Fixes to address issues from BZ #15022 resolution, as follows:
    
    * TLS updates to csu/libc-tls.c -- we now have a proper main map, so
      there's no longer a need to create a separate fake one to keep TLS
      structures,
    
    * random updates to elf/dl-close.c -- LM_ID_BASE is now a valid name
      space ID for static executables as well, so assert that we don't
      unload the main map.  Similarly dl_nns isn't supposed to be 0 for
      static executables anymore,
    
    * actual BZ #16046 fix to elf/dl-iteratephdr.c -- the dl_iterate_phdr
      special function for static executables isn't needed anymore, provided
      that l_phdr and l_phnum members of the main map have been properly
      initialized (done in _dl_non_dynamic_init in elf/dl-support.c now),
    
    * ld.so.cache loader update to elf/dl-load.c --
      GL(dl_ns)[LM_ID_BASE]._ns_loaded is now always initialized in static
      executables so can become the fallback loader map to check for
      DF_1_NODEFLIB, provided that the l_flags_1 member of the main map has
      been properly initialized (done in elf/dl-support.c now); this also
      ensures previous semantics elsewhere in elf/dl-load.c,
    
    * matching updates to elf/dl-support.c -- to complement the two fixes
      above.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog            |   16 ++++++++++++++++
 NEWS                 |   14 +++++++-------
 csu/libc-tls.c       |   27 ++++++++++++---------------
 elf/dl-close.c       |   10 +---------
 elf/dl-iteratephdr.c |   30 ------------------------------
 elf/dl-load.c        |   14 ++++----------
 elf/dl-support.c     |    3 +++
 7 files changed, 43 insertions(+), 71 deletions(-)
Comment 2 Maciej W. Rozycki 2014-01-31 18:08:42 UTC
Fixed as per the automatically entered commit message.
Comment 3 cvs-commit@gcc.gnu.org 2014-02-07 10:54:00 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The annotated tag, glibc-2.19 has been created
        at  62acb0ba856abf4a2a173e4b49c28749af7bd572 (tag)
   tagging  9a869d822025be8e43b78234997b10bf0cf9d859 (commit)
  replaces  glibc-2.18
 tagged by  Allan McRae
        on  Fri Feb 7 19:12:54 2014 +1000

- Log -----------------------------------------------------------------
The GNU C Library
=================

The GNU C Library version 2.19 is now available.

The GNU C Library is used as *the* C library in the GNU systems
and most systems with the Linux kernel.

The GNU C Library is primarily designed to be a portable
and high performance C library.  It follows all relevant
standards including ISO C11 and POSIX.1-2008.  It is also
internationalized and has one of the most complete
internationalization interfaces known.

The GNU C Library webpage is at http://www.gnu.org/software/libc/

Packages for the 2.19 release may be downloaded from:
        http://ftpmirror.gnu.org/libc/
        http://ftp.gnu.org/gnu/libc/

The mirror list is at http://www.gnu.org/order/ftp.html

NEWS for version 2.19
=====================

* The following bugs are resolved with this release:

  156, 387, 431, 762, 832, 926, 2801, 4772, 6786, 6787, 6807, 6810, 6981,
  7003, 9721, 9954, 10253, 10278, 11087, 11157, 11214, 12100, 12486, 12751,
  12986, 13028, 13982, 13985, 14029, 14032, 14120, 14143, 14155, 14286,
  14547, 14699, 14752, 14782, 14876, 14910, 15004, 15048, 15073, 15089,
  15128, 15218, 15268, 15277, 15308, 15362, 15374, 15400, 15425, 15427,
  15483, 15522, 15531, 15532, 15593, 15601, 15608, 15609, 15610, 15632,
  15640, 15670, 15672, 15680, 15681, 15723, 15734, 15735, 15736, 15748,
  15749, 15754, 15760, 15763, 15764, 15797, 15799, 15825, 15843, 15844,
  15846, 15847, 15849, 15850, 15855, 15856, 15857, 15859, 15867, 15886,
  15887, 15890, 15892, 15893, 15895, 15897, 15901, 15905, 15909, 15915,
  15917, 15919, 15921, 15923, 15939, 15941, 15948, 15963, 15966, 15968,
  15985, 15988, 15997, 16032, 16034, 16036, 16037, 16038, 16041, 16046,
  16055, 16071, 16072, 16074, 16077, 16078, 16103, 16112, 16143, 16144,
  16146, 16150, 16151, 16153, 16167, 16169, 16172, 16195, 16214, 16245,
  16271, 16274, 16283, 16289, 16293, 16314, 16316, 16330, 16337, 16338,
  16356, 16365, 16366, 16369, 16372, 16375, 16379, 16384, 16385, 16386,
  16387, 16390, 16394, 16398, 16400, 16407, 16408, 16414, 16430, 16431,
  16453, 16474, 16506, 16510, 16529

* Slovenian translations for glibc messages have been contributed by the
  Translation Project's Slovenian team of translators.

* The public headers no longer use __unused nor __block.  This change is to
  support compiling programs that are derived from BSD sources and use
  __unused internally, and to support compiling with Clang's -fblock
  extension which uses __block.

* CVE-2012-4412 The strcoll implementation caches indices and rules for
  large collation sequences to optimize multiple passes.  This cache
  computation may overflow for large collation sequences and may cause a
  stack or buffer overflow.  This is now fixed to use a slower algorithm
  which does not use a cache if there is an integer overflow.

* CVE-2012-4424 The strcoll implementation uses malloc to cache indices and
  rules for large collation sequences to optimize multiple passes and falls
  back to alloca if malloc fails, resulting in a possible stack overflow.
  The implementation now falls back to an uncached collation sequence lookup
  if malloc fails.

* CVE-2013-4788 The pointer guard used for pointer mangling was not
  initialized for static applications resulting in the security feature
  being disabled. The pointer guard is now correctly initialized to a
  random value for static applications. Existing static applications need
  to be recompiled to take advantage of the fix (bug 15754).

* CVE-2013-4237 The readdir_r function could write more than NAME_MAX bytes
  to the d_name member of struct dirent, or omit the terminating NUL
  character.  (Bugzilla #14699).

* CVE-2013-4332 The pvalloc, valloc, memalign, posix_memalign and
  aligned_alloc functions could allocate too few bytes or corrupt the
  heap when passed very large allocation size values (Bugzilla #15855,
  #15856, #15857).

* CVE-2013-4458 Stack overflow in getaddrinfo with large number of results
  for AF_INET6 has been fixed (Bugzilla #16072).

* New locales: ak_GH, anp_IN, ar_SS, cmn_TW, hak_TW, lzh_TW, nan_TW, pap_AW,
  pap_CW, quz_PE, the_NP.

* Substantially revised locales: gd_GB, ht_HT

* The LC_ADDRESS field was updated to support country_car for almost all
  supported locales.

* ISO 1427 definitions were updated.

* ISO 3166 definitions were updated.

* The localedef utility now supports --big-endian and --little-endian
  command-line options to generate locales for a different system from that
  for which the C library was built.

* Binary locale files now only depend on the endianness of the system for
  which they are generated and not on other properties of that system.  As a
  consequence, binary files generated with new localedef may be incompatible
  with old versions of the GNU C Library, and binary files generated with
  old localedef may be incompatible with this version of the GNU C Library,
  in the following circumstances:

  + Locale files may be incompatible on m68k systems.

  + Locale archive files (but not separate files for individual locales) may
    be incompatible on systems where plain "char" is signed.

* The configure option --disable-versioning has been removed.  Builds with
  --disable-versioning had not worked for several years.

* ISO 639 definitions were updated for Chiga (cgg) and Chinese (gan, hak, czh,
  cjy, lzh, cmn, mnp, cdo, czo, cpx, wuu, hsn, yue).

* SystemTap probes for malloc have been introduced.

* SystemTap probes for slow multiple precision fallback paths of
  transcendental functions have been introduced.

* Support for powerpc64le has been added.

* The soft-float powerpc port now supports e500 processors.

* Support for STT_GNU_IFUNC symbols added for ppc32/power4+ and ppc64.

* A new feature test macro _DEFAULT_SOURCE is available to enable the same
  set of header declarations that are enabled by default, even when other
  feature test macros or compiler options such as -std=c99 would otherwise
  disable some of those declarations.

* The _BSD_SOURCE feature test macro no longer enables BSD interfaces that
  conflict with POSIX.  The libbsd-compat library (which was a dummy library
  that did nothing) has also been removed.

* Preliminary documentation about Multi-Thread, Async-Signal and
  Async-Cancel Safety has been added.

Contributors
============

This release was made possible by the contributions of many people.
The maintainers are grateful to everyone who has contributed
changes or bug reports.  These include:

Adam Buchbinder
Adam Conrad
Adhemerval Zanella
Alan Modra
Alexandre Oliva
Allan McRae
Andreas Arnez
Andreas Jaeger
Andreas Krebbel
Andreas Schwab
Andrew Hunter
Andrew Pinski
Anton Blanchard
Arun Kumar Pyasi
Aurelien Jarno
Brooks Moses
Bruno Haible
Carlos O'Donell
Chris Leonard
Chris Metcalf
Chung-Lin Tang
David Holsgrove
David S. Miller
Eric Biggers
Eric Blake
Eric Wong
Fabrice Bauzac
Fernando J. V. da Silva
Florian Weimer
Guy Martin
H.J. Lu
Jan Kratochvil
Jia Liu
Joseph Myers
Kaz Kojima
Liubov Dmitrieva
Maciej W. Rozycki
Marc-Antoine Perennou
Marcus Shawcroft
Marko Myllynen
Markus Trippelsdorf
Maxim Kuvyrkov
Meador Inge
Michael Bauer
Michael Stahl
Mike Frysinger
Olivier Langlois
Ondřej Bílka
Patrick 'P. J.' McDermott
Paul Eggert
Paul Pluzhnikov
Pavel Simerda
Petr Machata
Rajalakshmi Srinivasaraghavan
Reuben Thomas
Richard Henderson
Richard Sandiford
Roland McGrath
Ryan S. Arnold
Sami Kerola
Samuel Thibault
Siddhesh Poyarekar
Stefan Liebler
Steve Ellcey
Thomas Schwinge
Toke Høiland-Jørgensen
Tom Tromey
Torvald Riegel
Ulrich Weigand
Uros Bizjak
Venkataramanan Kumar
Ville Skytta
Vinitha Vijayan
Wei-Lun Chao
Will Newton
Yogesh Chaudhari
Yuri Chornoivan
Yuriy Kaminskiy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQEcBAABAgAGBQJS9KOqAAoJEPmf/g/q6Zm9L9oIAK0E6xw+8e/b2rs5EkdCcdvz
upglZ/Vl7rDM0krIZrI14Q0ZQKpYr8+k8MjlktvytaG5qMEFLAFFEquzksB8bnRj
52GfMIfiP+UGU3sQoSHFaAHlPXhycF2H7XhpH/zJ7he46eaoaOL13tOxDurdk3Z1
vzStBnIOm9cpMkSg+Cs4RGlXGhlvJvay1a6whhE7zsv/EXg0mCoYQpYQrTNkCdjv
ugtWtta+URBSZHl49batzZz+WZ5yQzRIubXGqC44ofm6r+tIgJ4t2/vo64qnA/1+
63y0Zxk1+xl8fcxvqibw5LeY2GN1hGBvkhVR4bh4mmHsLGIwvCF5ZavKDREl638=
=MNMJ
-----END PGP SIGNATURE-----

Adam Buchbinder (1):
      soft-fp: fix typo in comment.

Adam Conrad (1):
      Fix incorrect ChangeLog formatting

Adhemerval Zanella (113):
      PowerPC: fix backtrace to handle signal trampolines
      Add memrchr testcase
      PowerPC: fix POWER7 memrchr for some large inputs
      benchtests: Add memrchr benchmark
      Update powerpc-fpu ULPs.
      PowerPC: Fix POINTER_CHK_GUARD thread register for PPC64
      PowerPC: strcpy/stpcpy optimization for PPC64/POWER7
      Fix ChangeLog date.
      PowerPC: Fix vDSO missing ODP entries
      benchtests: Add strtod benchmark
      PowerPC: Fix __fe_mask_env export
      PowerPC: Fix __fe_mask_env export
      PowerPC: Set/restore rounding mode only when needed
      PowerPC: Fix __fe_nomask_env missing symbol
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      Fix elf/get-dynamic-info.h for AT
      PowerPC: Add systemtap static probe points in setjmp/longjmp
      Revert wrong commit.
      Update powerpc-fpu ULPs.
      PowerPC: initial support for multilib for PowerPC32
      PowerPC: multiarch memcpy for PowerPC32
      PowerPC: multiarch memcmp for PowerPC32
      PowerPC: multiarch memset/bzero for PowerPC32
      PowerPC: multiarch mempcpy for PowerPC32
      PowerPC: multiarch memchr for PowerPC32
      PowerPC: multiarch memrchr for PowerPC32
      PowerPC: multiarch rawmemchr for PowerPC32
      PowerPC: multiarch strlen for PowerPC32
      PowerPC: multiarch strnlen for PowerPC32
      PowerPC: multiarch strncmp for PowerPC32
      PowerPC: multiarch strcasecmp for PowerPC32
      PowerPC: multiarch strncasecmp for PowerPC32
      PowerPC: multiarch strchrnul for PowerPC32
      PowerPC: multiarch strchr for PowerPC32
      PowerPC: multiarch wcschr for PowerPC32
      PowerPC: multiarch wcsrchr for PowerPC32
      PowerPC: multiarch wcscpy for PowerPC32
      PowerPC: multiarch wordcopy routines for PowerPC32
      PowerPC: change sysdeps fpu folder
      PowerPC: multiarch llrint/llrintf for PowerPC32
      PowerPC: multiarch llround/llroundf for PowerPC32
      PowerPC: multiarch sqrt/sqrtf for PowerPC32
      PowerPC: multiarch isnan/isnanf for PowerPC32
      PowerPC: multiarch isinf/isinff for PowerPC32
      PowerPC: multiarch finite/finitef for PowerPC32
      PowerPC: multiarch ceil/ceilf for PowerPC32
      PowerPC: multiarch floor/floorf for PowerPC32
      PowerPC: multiarch round/roundf for PowerPC32
      PowerPC: multiarch trunc/truncf for PowerPC32
      PowerPC: multiarch copysign/copysignf for PowerPC32
      PowerPC: multiarch lround/lrounf for PowerPC32
      PowerPC: multiarch lrint/lrintf for PowerPC32
      PowerPC: multiarch modf/modff for PowerPC32
      PowerPC: multiarch logb/logbf/logbl for PowerPC32
      PowerPC: multiarch __ieee754_hypot[f] for PowerPC32
      PowerPC: Adjust multiarch Implies for PowerPC32
      PowerPC: Update NEWS with ppc32/power4+ STT_GNU_IFUNC support
      PowerPC: Optimized mpn functions for PowerPC64
      PowerPC: Optimized mpn functions for PowerPC64/POWER7
      Update powerpc-fpu ULPs.
      Add GLIBC_2.3 and GLIBC_2.19 in Versions.def
      PowerPC: Add DSO and TAR fields to TLS
      PowerPC: Adjust multiarch Implies for PowerPC64
      PowerPC: multiarch memcpy for PowerPC64
      PowerPC: multirach memcmp for PowerPC64
      PowerPC: multiarch memset/bzero for PowerPC64
      PowerPC: multiarch mempcpy for PowerPC64
      PowerPC: multiarch memchr for PowerPC64
      PowerPC: multiarch memrchr for PowerPC64
      PowerPC: multiarch rawmemchr for PowerPC64
      PowerPC: multiarch strlen for PowerPC64
      PowerPC: multiarch strnlen for PowerPC64
      PowerPC: multiarch strcasecmp for PowerPC64
      PowerPC: multiarch strncasecmp for PowerPC64
      PowerPC: multiarch strncmp for PowerPC64
      PowerPC: multiarch strchr for PowerPC64
      PowerPC: multiarch strchrnul for PowerPC64
      PowerPC: multiarch wcschr for PowerPC64
      PowerPC: multiarch wcsrchr for PowerPC64
      PowerPC: multiarch wcscpy for PowerPC64.
      PowerPC: multiarch wordcopy for PowerPC64
      PowerPC: multiarch strcpy for PowerPC64
      PowerPC: multiarch stpcpy for PowerPC64
      PowerPC: Cleaning up uneeded sqrt routines
      PowerPC: Adjust multiarch Implies for PowerPC64
      PowerPC: multiarch isnan/isnanf for PowerPC64
      PowerPC: multiarch llround/lround for PowerPC64
      PowerPC: multiarch ceil/ceilf for PowerPC64
      PowerPC: multiarch floor/floorf for PowerPC64
      PowerPC: multiarch round/roundf for PowerPC64
      PowerPC: multiarch trunc/truncf for PowerPC64
      PowerPC: multiarch copysign/copysignf for PowerPC64
      PowerPC: multiarch llrint/lrint for PowerPC64
      PowerPC: multiarch finite/finitef for PowerPC64
      PowerPC: multiarch isinf/isinff for PowerPC64
      PowerPC: multiarch logb/logbl/logbf for PowerPC64
      PowerPC: multiarch modf/modff for PowerPC64
      PowerPC: multiarch hypot/hypotf for PowerPC64
      PowerPC: Update NEWS with ppc64 STT_GNU_IFUNC support
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      PowerPC: Fix compiler warnings
      Update powerpc-fpu ULPs.
      PowerPC: remove wrong truncl implementation for PowerPC64
      PowerPC: sotruss-lib implementation
      PowerPC: Fix ftime gettimeofday internal call returning bogus data
      Add BZ#16430 to NEWS.
      PowerPC: Fix gettimeofday ifunc selection
      abilist-pattern configurability
      PowerPC: Change powerpc64le start ABI to 2.17.
      PowerPC: powerpc64le abilist for 2.17

Alan Modra (36):
      IBM long double mechanical changes to support little-endian
      Fix for [BZ #15680] IBM long double inaccuracy
      PowerPC floating point little-endian [1 of 15]
      PowerPC floating point little-endian [2 of 15]
      PowerPC floating point little-endian [3 of 15]
      PowerPC floating point little-endian [4 of 15]
      PowerPC floating point little-endian [5 of 15]
      PowerPC floating point little-endian [6 of 15]
      PowerPC floating point little-endian [9 of 15]
      PowerPC floating point little-endian [10 of 15]
      PowerPC floating point little-endian [11 of 15]
      PowerPC floating point little-endian [12 of 15]
      PowerPC floating point little-endian [13 of 15]
      PowerPC floating point little-endian [15 of 15]
      PowerPC ugly symbol versioning
      PowerPC LE _dl_hwcap access
      PowerPC makecontext
      PowerPC SIGSTKSZ
      PowerPC LE strlen
      PowerPC LE strnlen
      PowerPC LE strcmp and strncmp
      PowerPC LE strcpy
      PowerPC LE strchr
      PowerPC LE memcmp
      PowerPC LE memcpy
      PowerPC LE memset
      PowerPC LE memchr and memrchr
      string/test-memcpy error reporting
      string/tester memrchr test
      PowerPC LE configury
      fix changelog date
      Correct little-endian relocation of UADDR64,32,16.
      Use stdint.h types in union unaligned.
      Mention powerpc64le support in NEWS and README, plus bugs fixed.
      Fix careless merge.
      PowerPC64: Report overflow on @h and @ha relocations

Alexandre Oliva (51):
      PR 15483
      Add first set of memory probes.
      Add probes for all changes to malloc options.
      Add probes for malloc arena changes.
      Add probes for malloc retries.
      Add catch-all alloc retry probe.
      Add malloc probes for sbrk and heap resizing.
      Mention malloc probes in the NEWS file.
      * manual/macros.texi: Introduce macros to document multi
      * manual/argp.texi: Document MTASC-safety properties.
      * manual/arith.texi: Document MTASC-safety properties.
      * manual/conf.texi: Document MTASC-safety properties.
      * manual/crypt.texi: Document MTASC-safety properties.
      * manual/charset.texi: Document MTASC-safety properties.
      * manual/debug.texi: Document MTASC-safety properties.
      * manual/ctype.texi: Document MTASC-safety properties.
      * manual/getopt.texi: Document MTASC-safety properties.
      * manual/job.texi: Document MTASC-safety properties.
      * manual/lang.texi: Document MTASC-safety properties.
      * manual/libdl.texi: New.
      * manual/llio.texi: Document MTASC-safety properties.
      * manual/locale.texi: Document MTASC-safety properties.
      * manual/math.texi: Document MTASC-safety properties.
      [BZ #12751]
      * manual/message.texi: Document MTASC-safety properties.
      * manual/pattern.texi: Document MTASC-safety properties.
      * manual/pipe.texi: Document MTASC-safety properties.
      * manual/platform.texi: Document MTASC-safety properties.
      * manual/process.texi: Document MTASC-safety properties.
      * manual/resource.texi: Document MTASC-safety properties.
      * manual/search.texi: Document MTASC-safety properties.
      * manual/setjmp.texi: Document MTASC-safety properties.
      * manual/signal.texi: Document MTASC-safety properties.
      * manual/socket.texi: Document MTASC-safety properties.
      * manual/startup.texi: Document MTASC-safety properties.
      * manual/sysinfo.texi: Document MTASC-safety properties.
      * manual/syslog.texi: Document MTASC-safety properties.
      * manual/stdio.texi: Document MTASC-safety properties.
      * manual/threads.texi: Document MTASC-safety properties.
      * manual/string.texi: Document MTASC-safety properties.
      * manual/time.texi: Document MTASC-safety properties.
      * manual/string.texi (wcstok): Fix prototype.
      * manual/intro.texi: Document safety identifiers and
      * manual/errno.texi: Document MTASC-safety properties.
      * manual/filesys.texi: Document MTASC-safety properties.
      * manual/terminal.texi: Document MTASC-safety properties.
      * manual/check-safety.sh: New.
      * manual/time.texi (timegm): Add missing blank after @c.
      * manual/threads.texi (pthread_key_create, pthread_key_delete,
      * manual/users.texi: Document MTASC-safety properties.
      * manual/macros.texi: Add comments before MTASC-safety macros.

Allan McRae (43):
      Update to latest versions of GPL-2.0 and LGPL-2.1
      Fix nesting of ifdefs in netgroupcache.c
      Fix memory leaks in libio on allocation failure
      Fix memory leak in stdlib/isomac.c
      Fix typo in strcoll example
      Update pt_chown sections of the manual
      Clarify documentation cross-reference
      Remove references to non-existent content items in install.texi
      Revert "Remove references to non-existent content items in install.texi"
      Fix incorrect getaddrinfo assertion trigger
      Fix ChangeLog formatting issue
      Add missing bug number to NEWS
      Add systemd unit file for nscd
      Add --enable-maintainer-mode configure option
      Update file name in x86_64 ifunc list
      Set AUTOCONF variable when maintainer-mode is not used
      Stop partial menu generation in INSTALL file
      Fix typo in csloww()
      Update copyright notices with scripts/update-copyrights
      Update remaining copyright dates
      scripts/update-copyrights: adjust configure input file suffix
      Fix gettext call formatting
      Regenerate libc.po
      Fix typo in inet/netinet/in.h comment
      Update Ukrainian translations
      Update Russian translations
      Update Polish translations
      Update Dutch translations
      Update Czech translations
      Update Esperanto translations
      Update Vietnamese translations
      Update Swedish translations
      Update German translations
      Update Bulgarian translations
      Update Catalan translations
      Update French translations
      Update Slovenian translations
      Revert "Async-signal safe TLS."
      Revert "Patch 2/4 of the effort to make TLS access async-signal-safe."
      Revert "Patch 3/4 of the effort to make TLS access async-signal-safe."
      Revert "Patch [1/4] async-signal safe TLS."
      Revert "BZ 16133 has been fixed (async signal safe TLS)."
      Update version.h and include/features.h for 2.19 release

Andreas Arnez (1):
      * elf/setup-vdso.h (setup_vdso): Fix missing string termination.

Andreas Jaeger (1):
      Update ULPs for i386

Andreas Krebbel (9):
      * sysdeps/unix/sysv/linux/s390/sys/procfs.h (struct elf_prstatus):
      [BZ #16214] S/390: Fix TLS GOT pointer setup.
      S/390: Make jmp_buf extendible.
      S/390: Make ucontext_t extendible.
      S/390: Get rid of unused variable warning in dl-machine.h
      S/390: Remove __tls_get_addr argument cast.
      S/390: Regenerate ULPs.
      [BZ #16427] Fix ldbl-128 exp overflows.
      S/390: Merge 32 and 64 bit ucontext.h.

Andreas Schwab (28):
      Fix cbrtl for ldbl-96
      Fix dependencies for stdlib/tst-tls-atexit
      Fix handling LC_CTYPE nonascii-case fallback in i686 SSE4.2 and SSSE3 strcasecmp/strncasecmp
      Fix missing declaration of LC_CTYPE nonascii-case element
      Add O_TMPFILE to <fcntl.h>
      Make __ffs hidden
      Properly cache the result from looking up the nss database config
      m68k: use PIC for Scrt1.o
      Fix typo in last change
      Don't use gethostbyaddr to determine canonical name
      Let tst-swscanf find its locale
      Fix parsing of 0e+0 as float
      Refill NEWS
      Fix BZ reference
      Restore ChangeLog
      Fix off-by-one in nscd getservbyport call
      Fix country_num element in LC_ADDRESS for C locale
      Properly handle unavailable elements in LC_MONETARY category
      Complete display of LC_MONETARY
      Fix CFI annotations in pthread_cond_timedwait for i486+
      ChangeLog fix
      m68k: don't assume PI futexes before 3.10
      m68k: add support for PI futexes
      m68k: use math_force_eval in nextafterl
      Remove use of SSE4.2 functions for strstr on i686
      Fix uses of CALL_MCOUNT in ppc64 assembler sources
      Let gen-libm-test.pl find itself when run outside source directory
      m68k: regenerate libm test ULPs

Andrew Hunter (1):
      Async-signal safe TLS.

Andrew Pinski (1):
      [AArch64] Fix BE access to errno.

Anton Blanchard (4):
      PowerPC floating point little-endian [7 of 15]
      PowerPC floating point little-endian [8 of 15]
      PowerPC floating point little-endian [14 of 15]
      PowerPC LE setjmp/longjmp

Arun Kumar Pyasi (1):
      New locale for the_NP.

Aurelien Jarno (4):
      MIPS: Add wrappers to get/setrlimit64 to fix RLIM64_INFINITY constant
      MIPS: Fix RLIM64_INFINITY constant for O32 and N32 ABIs
      locale: don't crash if locale-archive contains all zeros
      Add bug number to ChangeLog and NEWS

Brooks Moses (5):
      Fix erroneous (and circular) implied pattern rule for linkobj/libc.so.
      Add error reporting (via errno) to getauxval().
      Updated NEWS to mention resolution of bug 15846.
      Define __CORRECT_ISO_CPP_STRING_H_PROTO correctly for Clang.
      Obvious comment typo fix ("openened") in elf/dl-load.c.

Bruno Haible (1):
      Fix description of random according to POSIX. Fixes bug 7003

Carlos O'Donell (19):
      ARM: Pass dl_hwcap to IFUNC resolver.
      Coordinate IPv6 definitions for Linux and glibc
      Copy-edit NEWS and fixup ChangeLog entries.
      BZ #15754: CVE-2013-4788
      BZ #15754: Fix test case for ARM.
      Enhance localedef --list-archive option.
      Mention FIPS 140-2 compliance and Sun RPC.
      Fix typo in sys/ptrace.h.
      NEWS: Mention __unused and __block removal.
      NEWS: Only public headers have __unused/__block changed.
      Add test case for pthread_[sg]etname_np.
      Add Solvenian translations for glibc messages.
      Rename header.pot to pot.header.
      Add BZ #15850 to ChangeLog.
      Fix manual build warnings.
      [hppa] Regenerate libm-test-ulps.
      Fix tst-setgetname for Linux kernels < 2.6.33.
      Fix comment in kernel-features.h.
      BZ #16529: Fix pedantic warning with netinet/in.h.

Chris Leonard (57):
      Add quz_PE locale
      Update ht_HT locale
      Update iso-1427.def and related occurrences.
      Update iso-1427.def and related occurrences.
      Deduplicate country_car.
      ChangeLog entry for Deduplicate country_car.
      Fix trailing whitespace
      Add country_car field to LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      Update iso-639.def
      Update Changelog and NEWS
      correct bug list in NEWS
      New locale for ak_GH.
      Adjust language-code fields of LC_ADDRESS.
      Fix ayc_PE.UTF-8 and lzh_TW.UTF-8 build issues
      Update iso-1366.def and related occurrences
      Split ar_SD into ar_SD and ar_SS
      Copy / modify pap_AN into pap_AW and pap_CW.
      Correct error in iso-3166.def
      Fix typos in 3166.def.
      Adjust language-code fields of LC_ADDRESS.
      Fix ar_SS in SUPPORTED
      remove localdata path from Changelog entries
      Fixes to Changelog for locale splits
      correct LC_TELEPHONE for pap locales
      Adjust language-code fields of LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      New-locale-for-anp_IN
      Add Meadow Mari (mhr).
      Adjust language-code fields of LC_ADDRESS.
      Add Central Nahuatl (nhn).
      Adjust language-code fields of LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      Add Quechua, Southern (quz) and Silesian (szl) to iso-639.def.
      Adjust language-code fields of LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      Correct Walaita (wal) and add Unami Delaware (unm).
      Adjust language-code fields of LC_ADDRESS.
      [BZ #16103]  LC_MEASUREMENT review and standardization
      [BZ #16143] pap_* locales have duplicated LC_NUMERIC section.
      Add Chitwani Tharu (the)
      Correct wae_CH to UTF-8 encoding.
      [BZ #16144] Duplicated abday value for tk_TM.
      Add lang_name to Arabic locales.
      Add lang_name to German, English, Spanish, French locales.
      Add lang_name to various locales.
      Add lang_name to various locales.
      revert error-generated by bs_BA.
      Add lang_name to various locales.
      Add lang_name to various locales.
      revert hebrew lang_name addition
      revert hebrew lang_name addition
      Add lang_name to various locales.
      Add lang_name to various locales.
      Add lang_name to various locales.
      fix localedata/ChangeLog
      Add lang_name to various locales.

Chris Metcalf (3):
      Mention bug 15760 in NEWS (duplicate of 15988, just added to NEWS)
      test-fpucw-ieee: Don't use _FPU_IEEE if not defined
      tile: Regenerate libm-test-ulps

Chung-Lin Tang (1):
      linux-generic: fix alignment of struct stat/statfs for nios2

David Holsgrove (4):
      microblaze: Use <fenv.h> fallback functions
      microblaze BZ #15705: Define MMAP2_PAGE_SHIFT
      microblaze: Update libm-test-ulps
      Revert "microblaze BZ #15705: Define MMAP2_PAGE_SHIFT"

David S. Miller (11):
      Open development for 2.19.
      Update Catalan translations.
      Add Ukrainian translations.
      Update Chinese (traditional) translations.
      Update sparc ULPs.
      Fix readdir regressions on sparc 32-bit.
      Fix build on pre-v9 32-bit Sparc.
      Fix sparc 64-bit GMP ifunc resolution in static builds.
      Rebuild sparc ULPs.
      Adjust sparc ULPs.
      Add missing ChangeLog from yesterday's sparc ULPs update.

Eric Biggers (1):
      Fix fwrite() reading beyond end of buffer in error path

Eric Blake (2):
      glob: silence -Wattribute warnings
      maint: correct changelog

Eric Wong (2):
      Update x86_64 ULPs (AMD Family 10h)
      Update x86_64 ULPs (AMD family 21, model 2)

Fabrice Bauzac (1):
      Document that mmap() returns MAP_FAILED on error, as per the POSIX standard.

Fernando J. V. da Silva (1):
      Fix BZ #15089: malloc_trim always trim for large padding.

Florian Weimer (1):
      CVE-2013-4237, BZ #14699: Buffer overflow in readdir_r

Guy Martin (1):
      Don't use broken DL_AUTO_FUNCTION_ADDRESS()

H.J. Lu (4):
      Set arch_minimum_kernel to 3.4.0 for x32
      Don't check asynchronous cancellation on system
      Include generic symbol-hacks.h for x32
      Disable x87 inline functions for SSE2 math

Jan Kratochvil (2):
      Fix vDSO l_name for GDB's: Can't read pathname for load map: Input/output error.
      Put Bug # to the NEWS file for the previous vDSO l_name fix.

Jia Liu (1):
      sunrpc/rpc/types.h: fix OS X and FreeBSD build problems

Joseph Myers (128):
      Remove trailing blank lines when generating INSTALL.
      Use __getpagesize and __ffs in MMAP2_PAGE_SHIFT == -1 case of mmap64.
      Include <string.h> in sysdeps/unix/sysv/linux/mmap64.c.
      Fix cproj handling of (finite, NaN) arguments (bug 15531).
      Fix fdim handling of infinities (bug 15797).
      Add bug 15867 to NEWS.
      Fix cexp (NaN + i0) (bug 15532).
      Fix spurious jnf underflows (bug 14155).
      Fix lgammaf spurious underflow (bug 15427).
      Remove --disable-versioning.
      conformtest: Fix namespace testing.
      Define MMAP2_PAGE_SHIFT to -1 for m68k.
      Mention --disable-versioning removal in NEWS.
      Fix powerpc fpu_control.h namespace and parenthesis issues (bug 15966).
      Don't force -msoft-float for powerpc --without-fp.
      e500 port: setjmp/longjmp.
      e500 port: fpu_control.h.
      Make locale archive hash function architecture-independent.
      Add localedef --big-endian and --little-endian options.
      conformtest: Clean up expectations for POSIX for pthread.h.
      conformtest: Clean up expectations for POSIX for sched.h.
      Remove locale file dependence on int32_t alignment.
      Hardcode locale archive page size as 4096.
      e500 port: getcontext / setcontext / swapcontext.
      e500 port: fix fpu_control.h constant values.
      e500 port: adjust sysdeps/unix/sysv/linux/configure.in case.
      Move powerpc ports pieces to libc.
      Clean up locale file alignment handling.
      soft-fp: Remove trailing semicolon from _FP_FRAC_DISASSEMBLE_4.
      soft-fp: fix negation NaN handling (bug 16034).
      soft-fp: split FP_INIT_EXCEPTIONS from FP_INIT_ROUNDMODE.
      Avoid ordered comparisons of NaNs in ldbl-128ibm acosl and asinl.
      Extend powerpc-nofpu -fno-builtin-fabsl workaround to more files.
      Add soft-fp files from libgcc.
      Update copyright and license notices in soft-fp files from libgcc.
      soft-fp: fix floating-point to integer unsigned saturation.
      soft-fp: fix _FP_DIV_MEAT_* returning results with wrong exponent (bug 16032).
      soft-fp: add macro FP_NO_EXCEPTIONS.
      soft-fp: add missing FP_INIT_EXCEPTIONS and FP_INIT_ROUNDMODE calls.
      soft-fp: make ordered comparisons raise "invalid" for quiet NaNs (bug 14910).
      soft-fp: make __unord* raise "invalid" for signaling NaNs (bug 16036).
      soft-fp: fix preprocessor indentation.
      soft-fp: fix vertical whitespace and indentation.
      soft-fp: remove unused macros.
      soft-fp: fix horizontal whitespace.
      soft-fp: make extensions quiet signaling NaNs (bug 16041).
      Remove duplicate bug numbers from NEWS.
      Add e500 port.
      Move entries to correct port ChangeLog files.
      Add some more NEWS items.
      Define __STDC_IEC_559* based on __GCC_IEC_559*.
      Fix strtod rounding of half the least subnormal (bug 16151).
      Fix spurious "inexact" exceptions from x86 pow with NaN argument (bug 16167).
      Make libm-test.inc check for "inexact" exceptions for NaN argument.
      Replace libm-test.inc TEST_INLINE conditionals with NO_TEST_INLINE flag.
      Add libm-test support for ignored return value, add more lrint / llrint / lround / llround tests.
      Test signs of NaNs in libm-test.inc where appropriate.
      Define TLS version of libc_hidden_proto.
      Make powerpc-nofpu floating-point state thread-local (bug 15483).
      Fix powerpc-nofpu build.
      Add bug 11214 to NEWS.
      Fix bug ordering in NEWS.
      Fix dbl-64 e_sqrt.c for non-default rounding modes (bug 16271).
      Document some libm error handling intents.
      Add powerpc-nofpu/e500 support functions for atomic compound assignment and FLT_ROUNDS.
      Remove unused ldbl-96 functions (bug 15004).
      Document libm accuracy goals.
      Start generating libm tests automatically with MPFR.
      Test sqrt in all rounding modes.
      Fix x86 sqrt rounding (bug 14032).
      Fix exp10 errno setting on underflow (bug 6787).
      Move TEST_f_f tests for [a-c]* functions from libm-test.inc to auto-libm-test-in.
      Move TEST_f_f tests for [e-j]* functions from libm-test.inc to auto-libm-test-in.
      Fix erfc errno setting on underflow (bug 6786).
      Fix exp2 errno setting on underflow (bug 16283).
      Fix exp missing underflows (bug 15268, bug 15425).
      Update MIPS dl-lookup.c from generic version.
      Fix Bessel function error handling (bug 6807, bug 15901).
      Add missing bug numbers (12486, 15915, 16038) to NEWS.
      Update longlong.h from GCC.
      Move TEST_f_f tests for [l-y]* functions from libm-test.inc to auto-libm-test-in.
      Fix tgamma errno setting on underflow (bug 6810).
      Move tests of lgamma from libm-test.inc to auto-libm-test-in.
      Add missing bug number to NEWS.
      Move tests of atan2, hypot and pow from libm-test.inc to auto-libm-test-in.
      Fix hypot handling of subnormals (bug 16316, bug 16330).
      Fix dbl-64 hypot spurious underflows (bug 16314).
      Remove __FAVOR_BSD.
      Remove libbsd-compat dummy library.
      Remove various unused files from sysdeps/unix/bsd/.
      Remove unused files from sysdeps/unix/bsd/bsd4.4/bits/.
      Fix ldbl-128 logl for subnormals (bug 16338).
      Mark some hypot tests no-test-inline.
      Update powerpc-nofpu localplt.data for fegetround hidden_proto / hidden_def.
      Move tests of jn and yn from libm-test.inc to auto-libm-test-in.
      Add _DEFAULT_SOURCE feature test macro.
      Fix x86/x86_64 expm1 inaccuracy near 0 in directed rounding modes (bug 16293).
      Disable libm-test test name beautification for M_* constants.
      Move tests of sincos from libm-test.inc to auto-libm-test-in.
      Update texinfo.tex, config.guess, config.sub from upstream.
      Don't make soft-fp symbols compat symbols for powerpc-nofpu.
      Move tests of cabs and carg from libm-test.inc to auto-libm-test-in.
      Move various TEST_c_c tests from libm-test.inc to auto-libm-test-inc.
      Move tests of cpow from libm-test.inc to auto-libm-test-in.
      Update timezone code from tzcode 2013i.
      Revert spurious copying of ChangeLog to localedata/ChangeLog.
      Add more libm-test coverage of [a-c]* real functions.
      Fix x86 / x86_64 expl / expl10l wild results in directed rounding modes (bug 16356).
      Flatten sysdeps/unix/bsd/bsd4.4 into sysdeps/unix/bsd.
      Fix ldbl-128 lgammal for small negative arguments (bug 16337).
      Regenerate x86 / x86_64 ulps.
      Regenerate MIPS ulps.
      Regenerate ARM ulps.
      Fix ldbl-128ibm acoshl inaccuracy (bug 16384).
      Fix ldbl-128ibm asinhl inaccuracy (bug 16385).
      Fix ldbl-128ibm logl inaccuracy (bug 16386).
      Mark various libm tests with xfail-rounding:ldbl-128ibm.
      Regenerate powerpc-nofpu ulps.
      Fix soft-float ldbl-128ibm atan2l signs of zero results (bug 16390).
      Fix ldbl-128 / ldbl-128ibm lgammal spurious underflow (bug 16400).
      Fix ldbl-128ibm coshl spurious overflows (bug 16407).
      Mark more libm tests with xfail-rounding:ldbl-128ibm.
      Regenerate powerpc-nofpu ulps (again).
      Use separate libc.abilist for MIPS o32 soft float.
      Fix ldbl-128ibm expm1l on large arguments (bug 16408).
      Fix math/test-fpucw-*.c for sysdeps test-fpucw.c overrides.
      Bug 6981 was fixed by commit 1484e65736f4cab27e5051e0f06be8470e69af82.
      Bug 15968 was fixed by commit 0748546f660d27a2ad29fa6174d456e2f6490758.

Kaz Kojima (11):
      Add SH implementation of stackguard-macros.h.
      Add ChangeLog entry for new sysdeps/sh/stackguard-macros.h.
      Add SH implementation of sotruss-lib.c and c++-types.data.
      Use $$ver instead of $ver.
      Move sysdeps/sh/sh4/fpu/bits/fenv.h to sysdeps/sh/bits/.
      Make soft-float sh use soft-fp fma/fmaf.
      Adjust SH specific fpu_control.h and ucontext.h files.
      Restore ucontext ABI for soft-float sh4.
      Move SH libm-test-ulps to sysdeps/sh and regenerate it.
      Regenerate SH libm-test-ulps with proper compiler options.
      Add -mieee to SH sysdep-CFLAGS for older SH compilers.

Liubov Dmitrieva (2):
      i686: Skip SSE4_2 version for strcmp, strncmp, strncase, strcasecmp
      Fix buffer overrun in strtod_l

Maciej W. Rozycki (7):
      MIPS: Correct the handling of reserved FCSR bits
      Fix static-binary lazy FPU context allocation
      MIPS: IEEE 754-2008 NaN encoding support
      MIPS: bits/atomic.h: Fix comment typo
      manual: Fix a typo in `POSIX Threads' section
      nptl: tst-mutex8.c: Handle ENOTSUP PI mutex failure
      [BZ #16046] Static dlopen correction fallout fixes.

Marc-Antoine Perennou (1):
      Accept make versions 4.0 and greater

Marcus Shawcroft (18):
      [AArch64] Adding sigcontextinfo.h
      [AArch64] Support __mcount profiling.
      Handle NULL return from htab_find_slot()
      Avoid passing NULL to DSO_FILENAME.
      [AArch64] Regenerate libm-test-ulps.
      [AArch64] Back out sqrt() addition to libm-test-ulps.
      [AArch64] libm-test-ulps regenerated from scratch.
      [AArch64] Implement FUTEX_*_REQUEUE_PI
      [AArch64] Save and restore q0-q7 on entry to dynamic linker.
      Compile e_sqrt.c with -ffp-contract=off.
      [AArch64] Define ABORT_INSTRUCTION.
      [AArch64] Regenerate libm-test-ulps.
      [AArch64] Fix CFA adjustment on dynamic linker entry.
      [AArch64] Remove sqrt from libm-test-ulps
      [AArch64] Fix FP_ROUNDMODE.
      [AArch64] Define BE loader name.
      [AArch64] Fix type in abi-lp64_be-options.
      [AArch64] Regenerate libm-test-ulps.

Marko Myllynen (1):
      Fix Charset comment in fi_FI, fi_FI@euro

Markus Trippelsdorf (1):
      Update x86_64 ULps for AMD K10

Maxim Kuvyrkov (4):
      Improve atomic locking for ARM.
      Add BZ #15640 to resolved bug list in NEWS.
      Fix race in free() of fastbin chunk: BZ #15073
      Restore accidentally deleted bug-fix entries in NEWS.

Meador Inge (1):
      Use __glibc_block in public headers.

Michael Bauer (1):
      Version 1.2 of gd_GB locale

Michael Stahl (1):
      Print the reason why preloading failed in do_preload()

Mike Frysinger (27):
      configure: add missing quotes in $build_pt_chown test
      [BZ #15897] dlfcn: do not mark dlopen/dlclose as leaf functions
      tst-fanotify: new simple test
      hppa: add fanotify_mark
      tst-fanotify: skip when we get back EPERM
      tst-fanotify: fix style
      rename configure.in to configure.ac
      ia64: link.h: adjust whitespace
      ia64: implement sotruss support
      ia64: ioperm: clean up long dead code
      ia64: add lll_futex_timed_wait_bitset
      ia64: implement futex requeue pi support
      ignore gdb related files
      ia64: syscall: add some helpful documentation
      ia64: setjmp: use HIDDEN_JUMPTARGET
      ia64: setjmp/longjmp: stop saving/restoring fpsr [BZ #16379]
      ia64: longjmp_chk: support signal stacks [BZ #16372]
      tst-fanotify: check for linux/fanotify.h existence
      NEWS: mention 16379 as fixed
      tst-fanotify: switch to AC_DEFINE
      ia64: fix build failure after async tls updates
      ptrace.h: add __ prefix to ptrace_peeksiginfo_args
      ia64: add __ prefix to pt_all_user_regs/ia64_fpreg [BZ #762]
      ia64: regenerate libm-test-ulps
      ia64: drop large results from libm-test-ulps [BZ #16401]
      ia64: regen libm-test-ulps from scratch
      s390: implement sotruss support

Olivier Langlois (1):
      Fix tst-long-dbl-fphex swprintf length calculation.

Ondřej Bílka (66):
      Fix typos.
      Fix typos.
      Remove aix specific files.
      Fix rawmemchr regression on bulldozer.
      Fix typos.
      Fix then/than typos.
      Fix typo.
      Add unaligned strcmp.
      Remove DO_NOT_USE_THIS conditionals.
      Faster strchr implementation.
      Faster strrchr.
      BZ #431 Fix manual of strncat/wcsncat.
      Use p2align instead ALIGN
      Correctly copy resolver address. Fixes bug #13028.
      Fix error_tail overflow in allocation calculation.
      Clear initfini list after freeing. Fixes bug 15308.
      Format floating routines.
      Fix inet_network("1 bar"). Fixes bug 15277.
      Remove assert in malloc statistic. Fixes bug 12486.
      Replace alloca in __tzfile_read by malloc. Fixes bug 15670
      When glob pattern contains a trailing slash match only directories. Fixes bug 10278.
      Document rpcgen -5. Fixes bug 15825
      Acknowledge that fnmatch can fail. Fixes bug 14029.
      Make strptime %Z consistent between doc and code. Fixes bug 14876
      Changelog for last commit.
      Fix gethostbyname_r example. Fixes bug 2801.
      Remove code from div that is by C99 obsolete. Fixes bug 15799
      Use atomic operations to track memory. Fixes bug 11087
      Restrict shm_open and shm_unlink to SHMDIR. Fixes bugs 14752 and 15763.
      Fix malloc_info statistic. Fixes bug 16112
      Remove unused NONTLS_INIT_TP.
      Fix changelog
      Make getent services compliant with  RFC 6335 section 5.1 Fixes bug 15374
      Do not let scanf("%4p") accept "(nil)". Fixes bug 16055
      Remove unused variable.
      Fix breaking of RPATH when $ORIGIN contains colons. Fixes bug 10253
      Revert b75891075bece24be9fd85618f18af4a2daf7f1c
      Consolidate valloc/pvalloc code.
      Use __glibc_reserved instead __unused.
      Fix typo in _dl_tlsdesc_resolve_hold.
      Remove duplicate ifunc benchtests.
      Add changelog.
      Remove duplicate ifunc tests.
      Also remove benchtests/bench-strsep-ifunc.c
      Make memset in calloc a tail call.
      Return fixed version of  breaking of RPATH when $ORIGIN contains colons
      Document shm_open.
      Properly handle shm_open validation. Fixes bug 16274.
      Refactor several debug routines.
      Allow strptime read outputs from strftime. Fixes bug 4772.
      Add bug numbers 926, 4772 and 16274 to NEWS.
      Replace malloc force_reg by atomic_forced_read.
      Simplify perturb_byte logic.
      Drop PER_THREAD conditionals from malloc.
      Expand MALLOC_COPY and MALLOC_ZERO to memcpy and memset.
      Add strstr with unaligned loads. Fixes bug 12100.
      Update documentation after dropping PER_THREAD  conditional.
      Add missing deftp to fix commit 4d84e6addd62bdc256627af.
      Clarify that scanf does not use character classes.  Fixes bug 12986
      Add Changelog and news entry.
      Fix ChangeLog
      Reformat malloc to gnu style.
      Fix integer overflow in vfwprintf. Fixes bug 14286.
      Add 15850 to NEWS.
      Do not enable asynchronous cancellation in system. Fixes bug 14782.
      Add ChangeLog entry

Patrick 'P. J.' McDermott (2):
      don't use Bash-specific ${parameter/pattern/string} expansion
      ldd: make try_trace more robust and portable

Paul Eggert (5):
      Clarify documentation on how functions use timezone. Fixes bug 926.
      * manual/time.texi (TZ Variable): POSIX.1 hour can be 24.
      * manual/time.texi (TZ Variable): Modernize North America example
      Document TZ transition times >= 25:00:00.
      Support TZ transition times < 00:00:00.

Paul Pluzhnikov (18):
      Adjust AT_EXECFN when using explicit loader invocation.
      Adjust AT_EXECFN when using explicit loader invocation.
      Fix failure in nptl/tst-cleanup when building with
      Revert "Fix failure in nptl/tst-cleanup when building with"
      Fix failure in tst-cleanup2 and tst-cleanupx2 with gcc-4.9
      Fix missing > on email.
      Fix intermittent failure in tst-getpid2.
      Patch [1/4] async-signal safe TLS.
      Patch 3/4 of the effort to make TLS access async-signal-safe.
      Patch 2/4 of the effort to make TLS access async-signal-safe.
      Cleanup compile warnings.
      Fix incorrect power of 2 check in last commit.
      Fix white space as well.
      Merge branch 'master' of ssh://sourceware.org/git/glibc
      Fix ChangeLog entry.
      Fix a race in tst-tls7, which caused crashes on ppc32.
      BZ 16133 has been fixed (async signal safe TLS).
      Mention BZ 9721

Pavel Simerda (2):
      getaddrinfo: remove dead code
      Remove redundant GAIH_OKIFUNSPEC and GAIH_EAI.

Petr Machata (1):
      Add AArch64 relocation definitions.

Rajalakshmi Srinivasaraghavan (2):
      benchtests: Add strsep benchmark
      benchtests: Add strtok benchmark

Reuben Thomas (1):
      Fix typo in setlocale.c. Fixes BZ #15764

Richard Henderson (5):
      alpha: Improve conditions under which PTR_MANGLE is defined
      alpha: Fix signal thunk unwind info
      alpha: Convert <bits/mman.h> to <bits/mman-linux.h>
      alpha: Fix tls-macros.h
      alpha: Update libm-test-ulps

Richard Sandiford (3):
      Make localedef output generation use more logical interfaces.
      Fix some types in localedef.
      Fix localedef collation handling of <U0000> (bug 15948).

Roland McGrath (23):
      Use proper #include for xdecrypt declarations.
      Make stub lxstat64 call xstat64, like stub lxstat calls xstat.
      Flesh out 4.4 bits/socket.h with SOCK_CLOEXEC, SOCK_NONBLOCK.
      Replace generic bits/socket.h with 4.4 file.
      Clean up __libc_sa_len helper.
      True stub __ifreq.
      Mild decrufting in resolv code.
      Don't try to use ioctl unless [FIONREAD].
      Cope without sunrpc.
      Clean up _res declaration to use __thread unconditionally.
      Clean up h_errno declaration to use __thread unconditionally.
      Fix up ChangeLog formatting.
      Make armv6t2 strlen work in ARM mode too.
      Use sfi_* macros in armv6t2 strlen.
      Update to canonical freemanuals.texi file.
      Fix up ChangeLog formatting.
      Adjust generic swapon prototype to match Linux version.
      Add missing #include for malloc/hooks.c code.
      ARM: Fix memcpy computed-jump calculations for ARM_ALWAYS_BX case.
      ChangeLog whitespace fix.
      Clean up setjmp use in dl-error.c.
      ARM: Disable compat mcount code when unneeded.
      Remove excessive redundant ChangeLog header lines.

Ryan S. Arnold (1):
      Update generic swapon definition to match prototype.

Sami Kerola (1):
      nscd: list all tables in usage()

Samuel Thibault (3):
      Hurd: Use __executable_start symbol instead of _start.
      Add fork hooks for pthread_atfork
      Fix build on hurd

Siddhesh Poyarekar (75):
      Simplify strcoll implementation
      Fix indentation in aicache.c
      Initialize res_hconf in nscd
      Use __glibc_unlikely instead of __builtin_expect (..., 0)
      Mark success return value as volatile to work around rescheduling
      Format sincos32.c
      Remove redundant goto lines
      Consolidate sin/cos computation for large inputs
      Consolidate sin/cos table lookup code
      New test cases for sin and cos for multiple precision fallback
      Add benchmark inputs for sincos
      Consolidate common code into macros
      Fall back to non-cached sequence traversal and comparison on malloc fail
      Check for integer overflow in cache size computation in strcoll
      Use the mutex member of the argumen in __libc_lock_*_recursive
      Move ChangeLog entry
      Fix PI mutex check in pthread_cond_broadcast and pthread_cond_signal
      Fix typo in manual
      Add more directives to benchmark input files
      Fix ChangeLog formatting
      Consolidate multiple precision sin/cos functions
      Format e_exp.c
      Format e_pow.c
      Add systemtap markers to math function slow paths
      Don't include tls.h in test cases
      Fix stack overflow due to large AF_INET6 requests
      Consolidate conditionals in mp sin/cos functions
      New inputs for exp
      Benchmark inputs for pow
      Add ChangeLog entry and fix NEWS for #16078
      Fix reads for sizes larger than INT_MAX in AF_INET lookup
      Fix ChangeLog formatting
      Add systemtap probe markers for sin, cos, asin and acos
      Fix ChangeLog formatting
      Rename Oriya locale to Odia (bug 15601)
      Fix build warning in locarchive.c
      Get canonical name in getaddrinfo from hosts file for AF_INET (fixes 16077)
      Add 16214 to NEWS
      Fix ChangeLog formatting
      Use herrnop directly
      [BZ #16195] Fix build warnings from systemtap probes in non-systemtap configurations
      benchtests: skip over blank lines in benchmark input files
      BZ #15941: Fix INSTALL file regeneration failure with makeinfo 5.x
      Fix ChangeLog formatting
      Remove unused variables in __stpncpy_chk
      Accept output arguments to benchmark functions
      benchtests: Append volatile keyword to type instead of prepending
      Use double constants instead of the struct number
      Consolidate definition of constant t22
      benchmark inputs for exp2, log2, log and tan
      Minor code cleanup in s_sin.c
      Remove some redundant computations in s_sin.c
      Remove redundant arguments in reduce_and_compute
      Remove more redundant computations in s_sin.c
      Consolidate code to compute sin and cos from lookup tables
      benchmark inputs for asin and acos
      benchmark inputs for sinh and cosh
      benchmark inputs for asinh and acosh
      benchmark inputs for tanh and atanh
      benchmark inputs for atan
      Benchmark inputs for cos and sin
      Fix infinite loop in nscd when netgroup is empty (bz #16365)
      Fix return code from getent netgroup when the netgroup is not found (bz #16366)
      Correct inputs for sin and cos
      Don't use alloca in addgetnetgrentX (BZ #16453)
      Mention addition of multiple precision fallback libm probes in NEWS
      Adjust pointers to triplets in netgroup query data (BZ #16474)
      Avoid undefined behaviour in netgroupcache
      Fix invalid memory access when parsing netgroup files with blank lines (BZ #16506)
      Add bug entry for previous commit in NEWS
      Fix spaces before tabs
      Update contrib.texi
      Fix infinite loop in ftell when writing wide char data (BZ #16398)
      Update NEWS for #16398
      Update contrib.texi

Stefan Liebler (1):
      S/390: Increase tst-tls7 test case timeout

Steve Ellcey (12):
      2013-09-20  Steve Ellcey  <sellcey@mips.com>
      2013-09-20  Steve Ellcey  <sellcey@mips.com>
      Remove trailing space.
      2013-09-23  Steve Ellcey  <sellcey@mips.com>
      2013-09-19  Steve Ellcey  <sellcey@mips.com>
      2013-09-23  Steve Ellcey  <sellcey@mips.com>
      2013-09-23  Steve Ellcey  <sellcey@mips.com>
      2013-09-26  Steve Ellcey  <sellcey@mips.com>
      2013-09-26  Steve Ellcey  <sellcey@mips.com>
      2013-11-13  Steve Ellcey  <sellcey@mips.com>
      Benchmark test for sqrt function.
      Add ChangeLog entry for sqrt tests.

Thomas Schwinge (5):
      math: Additional type conversion tests
      [BZ #15522] strtod ("nan(N)") returning a sNaN in some cases
      Use ELFOSABI_GNU instead of ELFOSABI_LINUX.
      Support ELFOSABI_GNU on all GNU systems.
      Hurd: Add ESUCCESS error_t value.

Toke Høiland-Jørgensen (2):
      Add entries for U00D8 and U00F8.
      Update NEWS

Tom Tromey (1):
      [AArch64] BZ #16169 Add CFI directives to clone.S

Torvald Riegel (1):
      benchtests: Add include-sources directive.

Ulrich Weigand (8):
      PowerPC64: Fix incorrect CFI in *context routines
      PowerPC64: Add __private_ss field to TCB header
      PowerPC64 ELFv2 ABI 1/6: Code refactoring
      PowerPC64 ELFv2 ABI 2/6: Remove function descriptors
      PowerPC64 ELFv2 ABI 3/6: PLT local entry point optimization
      PowerPC64 ELFv2 ABI 4/6: Stack frame layout changes
      PowerPC64 ELFv2 ABI 5/6: LD_AUDIT interface changes
      PowerPC64 ELFv2 ABI 6/6: Bump ld.so soname version number

Uros Bizjak (1):
      Avoid "left shift count >= width of type" warnings in soft-fp code.

Venkataramanan Kumar (1):
      [AArch64] Pointer mangling support for AArch64.

Ville Skytta (1):
      Fix spelling in manual, as in bug 16376

Vinitha Vijayan (1):
      [BZ #15859] Fix memory leak in _dl_map_object_deps

Wei-Lun Chao (4):
      New locale for nan_TW
      New locale for lzh_TW
      New locale for hak_TW
      New locale for cmn_TW

Will Newton (33):
      sysdeps/arm/armv6t2/strlen.S: strlen implementation for armv6t2.
      ARM: Fix clone code when built for Thumb.
      benchtests/Makefile: Use LDLIBS instead of LDFLAGS.
      benchtests: Switch string benchmarks to use bench-timing.h.
      benchtests/Makefile: Run benchmark for memcpy.
      malloc: Add realloc test.
      malloc: Check for integer overflow in pvalloc.
      malloc: Check for integer overflow in valloc.
      malloc: Check for integer overflow in memalign.
      Mention closing 15855, 15856 and 15857 in NEWS.
      benchtests: Rename argument to TIMING_INIT macro.
      Add CVE-2013-4332 to NEWS.
      ARM: Improve armv7 memcpy performance.
      sysdeps/mach/hurd/i386/tls.h: Remove TLS_INIT_TP_EXPENSIVE.
      ports/sysdeps/arm/nptl/tls.h: Remove TLS_INIT_TP_EXPENSIVE.
      malloc: Add posix_memalign test.
      malloc/tst-valloc.c: Improve test coverage and use test-skeleton.c.
      malloc: Add pvalloc test.
      ARM: Add pointer encryption support.
      malloc: Add memalign test.
      malloc/tst-posix_memalign.c: Tidy up code.
      malloc/tst-pvalloc.c: Tidy up code.
      malloc/tst-valloc.c: Tidy up code.
      ARM: Allow building __longjmp as Thumb.
      ARM: Allow building __sigsetjmp as Thumb.
      malloc/hooks.c: Correct check for overflow in memalign_check.
      malloc: Fix for infinite loop in memalign/posix_memalign.
      manual/memory.texi: Remove register keyword from examples.
      aarch64: Enable ifunc support.
      manual/memory.texi: Bring aligned allocation docs up to date.
      manual/memory.texi: Document aligned_alloc.
      ARM: Don't apply pointer encryption to the frame pointer
      ARM: Fix clone build for ARMv4

Yogesh Chaudhari (1):
      Update gethostbyname2_r documentation. Fixes bug #156.

Yuri Chornoivan (1):
      Fix typos.

Yuriy Kaminskiy (1):
      Fix a thinko/typo in i686's memmove (aka __memmove_ia32).

cjl (6):
      Add FSF statement to ayc_PE locale.
      Add FSF statement to ayc_PE locale.
      Add FSF statement to ayc_PE locale.
      Add country_car field to LC_ADDRESS
      Add country_car field to LC_ADDRESS
      Add country_car field to LC_ADDRESS

-----------------------------------------------------------------------
Comment 4 cvs-commit@gcc.gnu.org 2014-06-20 20:55:14 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  257ce7127e2f64a6a959b146786cd43de0e42b5f (commit)
      from  4e6d234712f976eee62fb2047338a501da00c4c7 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=257ce7127e2f64a6a959b146786cd43de0e42b5f

commit 257ce7127e2f64a6a959b146786cd43de0e42b5f
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jun 20 21:52:53 2014 +0100

    [BZ #16046] dl_iterate_phdr static executable test

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                                        |    4 +++
 elf/Makefile                                     |    2 +-
 posix/tst-fnmatch3.c => elf/tst-dl-iter-static.c |   27 +++++++++++++++++----
 3 files changed, 27 insertions(+), 6 deletions(-)
 copy posix/tst-fnmatch3.c => elf/tst-dl-iter-static.c (65%)
Comment 5 cvs-commit@gcc.gnu.org 2014-06-22 07:46:16 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, allan/2.19/backport has been created
        at  7e09ce56759640a4bf10e4d6ddca77757e115f13 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7e09ce56759640a4bf10e4d6ddca77757e115f13

commit 7e09ce56759640a4bf10e4d6ddca77757e115f13
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Mon May 26 11:40:08 2014 +0530

    Use NSS_STATUS_TRYAGAIN to indicate insufficient buffer (BZ #16878)
    
    The netgroups nss modules in the glibc tree use NSS_STATUS_UNAVAIL
    (with errno as ERANGE) when the supplied buffer does not have
    sufficient space for the result.  This is wrong, because the canonical
    way to indicate insufficient buffer is to set the errno to ERANGE and
    the status to NSS_STATUS_TRYAGAIN, as is used by all other modules.
    
    This fixes nscd behaviour when the nss_ldap module returns
    NSS_STATUS_TRYAGAIN to indicate that a netgroup entry is too long to
    fit into the supplied buffer.
    
    (cherry picked from commit c3ec475c5dd16499aa040908e11d382c3ded9692)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6489b92b735504bbb124c0a29967e52906101e56

commit 6489b92b735504bbb124c0a29967e52906101e56
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Wed Mar 12 17:27:22 2014 +0530

    Provide correct buffer length to netgroup queries in nscd (BZ #16695)
    
    The buffer to query netgroup entries is allocated sufficient space for
    the netgroup entries and the key to be appended at the end, but it
    sends in an incorrect available length to the NSS netgroup query
    functions, resulting in overflow of the buffer in some special cases.
    The fix here is to factor in the key length when sending the available
    buffer and buffer length to the query functions.
    
    (cherry picked from commit c44496df2f090a56d3bf75df930592dac6bba46f)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=00e1e5950611a1d8d5d6605906d11432ecd6e7c5

commit 00e1e5950611a1d8d5d6605906d11432ecd6e7c5
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jun 20 21:52:53 2014 +0100

    [BZ #16046] dl_iterate_phdr static executable test
    
    (cherry picked from commit 257ce7127e2f64a6a959b146786cd43de0e42b5f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0625ebcc25a4eda851b53b50f99fa49f790b9ee8

commit 0625ebcc25a4eda851b53b50f99fa49f790b9ee8
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Fri Jun 20 12:41:27 2014 +0200

    Fix another memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit aa6ec754f3b4b1df81d186480c534b6486a1e6ee)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fc93c8a02c25e2486f3057ae06cf79209c381832

commit fc93c8a02c25e2486f3057ae06cf79209c381832
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Thu Jun 19 15:38:03 2014 +0200

    Fix memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit 4d43ef1e7434d7d419afbcd754931cb0c794763c)
    
    Conflicts:
    	posix/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7b17d60f13089585c2b63d46cbc660c4b85d169d

commit 7b17d60f13089585c2b63d46cbc660c4b85d169d
Author: Andreas Schwab <schwab@suse.de>
Date:   Mon May 26 18:01:31 2014 +0200

    Fix invalid file descriptor reuse while sending DNS query (BZ #15946)
    
    (cherry picked from commit f9d2d03254a58d92635a311a42253eeed5a40a47)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=76aebfbb87ecc33e59d29a8adda76dfcdbc9213d

commit 76aebfbb87ecc33e59d29a8adda76dfcdbc9213d
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Feb 18 10:57:25 2014 +0100

    Properly fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    Instead of trying to guess whether the second buffer needs to be freed
    set a flag at the place it is allocated
    
    (cherry picked from commit ab09bf616ad527b249aca5f2a4956fd526f0712f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c6ce0dadcfd14973ba880f4e043058a9367f00ce

commit c6ce0dadcfd14973ba880f4e043058a9367f00ce
Author: Ondřej Bílka <neleai@seznam.cz>
Date:   Sun Feb 16 12:59:23 2014 +0100

    Deduplicate resolv/nss_dns/dns-host.c
    
    In resolv/nss_dns/dns-host.c one of code path duplicated code after
    that. We merge these paths.
    
    (cherry picked from commit ab7ac0f2cf8731fe4c3f3aea6088a7c0127b5725)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4ad0ab7bdb6c4afb3fc561c6497759eb939d2a73

commit 4ad0ab7bdb6c4afb3fc561c6497759eb939d2a73
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu Feb 13 11:01:57 2014 +0100

    Fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    (cherry picked from commit d668061994a7486a3ba9c7d5e7882d85a2883707)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=00a84253c5bc7dffb7a0a666cea21ea5e0288771

commit 00a84253c5bc7dffb7a0a666cea21ea5e0288771
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu May 8 16:53:01 2014 +0200

    Fix unbound stack use in NIS NSS module
    
    (cherry picked from commit 315eb1d86aea489cd6325fd1c2521dcfb4fc0e1c)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=30026b69015db3f82407df83dc1118518ee1fa5c

commit 30026b69015db3f82407df83dc1118518ee1fa5c
Author: Allan McRae <allan@archlinux.org>
Date:   Sat Jun 21 17:23:55 2014 +1000

    Mention CVE-2014-4043 in NEWS
    
    (cherry picked from commit d03efb2f979defd473955a455d66b949961d26b2)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa

commit e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed Jun 11 23:12:52 2014 +0200

    posix_spawn_file_actions_addopen needs to copy the path argument (BZ 17048)
    
    POSIX requires that we make a copy, so we allocate a new string
    and free it in posix_spawn_file_actions_destroy.
    
    Reported by David Reid, Alex Gaynor, and Glyph Lefkowitz.  This bug
    may have security implications.
    
    (cherry picked from commit 89e435f3559c53084498e9baad22172b64429362)
    
    Conflicts:
    	NEWS

-----------------------------------------------------------------------
Comment 6 cvs-commit@gcc.gnu.org 2014-08-28 10:26:08 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, allan/2.19/backport has been created
        at  e3050a640f18eec4bc4e3f7b7f22c5b99c47028b (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e3050a640f18eec4bc4e3f7b7f22c5b99c47028b

commit e3050a640f18eec4bc4e3f7b7f22c5b99c47028b
Author: Florian Weimer <fweimer@redhat.com>
Date:   Tue Aug 26 19:38:59 2014 +0200

    __gconv_translit_find: Disable function [BZ #17187]
    
    This functionality has never worked correctly, and the implementation
    contained a security vulnerability (CVE-2014-5119).
    
    (cherry picked from commit a1a6a401ab0a3c9f15fb7eaebbdcee24192254e8)
    (cherry picked from commit f9df71e895d3552d557e783fdb9d133328195645)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=394efd467f466be377be1066bb07d331390a5658

commit 394efd467f466be377be1066bb07d331390a5658
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Fri Aug 1 09:48:17 2014 +0200

    NEWS: Explain the s390 jmp_buf / ucontext_t ABI change reversal.
    
    (cherry picked from commit 95ee7fb13ba99ba265b49531c57e1cb8db629bc6)
    
    Typo fix as in commit 45ef66289acbab17278a73512f9b2a9d8a7ca79d and
    NEW enty adjusted to reflect revert occuring in 2.19.1 and 2.20.
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3942f5e5f7282161d31a60f84020eec1aa86bb82

commit 3942f5e5f7282161d31a60f84020eec1aa86bb82
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Thu Aug 28 16:53:13 2014 +1000

    S/390: Revert the jmp_buf/ucontext_t ABI change
    
    Backport of commit 2f438e20ab591641760e97458d5d1569942eced5

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a5dd31f514e3ab41bfe60cdeacd75d875006d9cc

commit a5dd31f514e3ab41bfe60cdeacd75d875006d9cc
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed May 28 14:05:03 2014 +0200

    manual: Update the locale documentation
    
    (cherry picked from commit 585367266923156ac6fb789939a923641ba5aaf4)
    
    Conflicts:
    	manual/locale.texi

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d475d58097efe764e2567fca0ea194d5d80150ce

commit d475d58097efe764e2567fca0ea194d5d80150ce
Author: Florian Weimer <fweimer@redhat.com>
Date:   Mon May 12 15:24:12 2014 +0200

    _nl_find_locale: Improve handling of crafted locale names [BZ #17137]
    
    Prevent directory traversal in locale-related environment variables
    (CVE-2014-0475).
    
    (cherry picked from commit 4e8f95a0df7c2300b830ec12c0ae1e161bc8a8a3)
    
    Conflicts:
    	NEWS
    	localedata/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1298cdbed6596663785254f63cb92af265aee8e0

commit 1298cdbed6596663785254f63cb92af265aee8e0
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed May 28 14:41:52 2014 +0200

    setlocale: Use the heap for the copy of the locale argument
    
    This avoids alloca calls with potentially large arguments.
    
    (cherry picked from commit d183645616b0533b3acee28f1a95570bffbdf50f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5754d77ab9899688380da1a52b02f62815b3d34b

commit 5754d77ab9899688380da1a52b02f62815b3d34b
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Mon May 26 11:40:08 2014 +0530

    Use NSS_STATUS_TRYAGAIN to indicate insufficient buffer (BZ #16878)
    
    The netgroups nss modules in the glibc tree use NSS_STATUS_UNAVAIL
    (with errno as ERANGE) when the supplied buffer does not have
    sufficient space for the result.  This is wrong, because the canonical
    way to indicate insufficient buffer is to set the errno to ERANGE and
    the status to NSS_STATUS_TRYAGAIN, as is used by all other modules.
    
    This fixes nscd behaviour when the nss_ldap module returns
    NSS_STATUS_TRYAGAIN to indicate that a netgroup entry is too long to
    fit into the supplied buffer.
    
    (cherry picked from commit c3ec475c5dd16499aa040908e11d382c3ded9692)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b5a823c6c62a05a793aa2d6ff208d1261b46f281

commit b5a823c6c62a05a793aa2d6ff208d1261b46f281
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Wed Mar 12 17:27:22 2014 +0530

    Provide correct buffer length to netgroup queries in nscd (BZ #16695)
    
    The buffer to query netgroup entries is allocated sufficient space for
    the netgroup entries and the key to be appended at the end, but it
    sends in an incorrect available length to the NSS netgroup query
    functions, resulting in overflow of the buffer in some special cases.
    The fix here is to factor in the key length when sending the available
    buffer and buffer length to the query functions.
    
    (cherry picked from commit c44496df2f090a56d3bf75df930592dac6bba46f)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9c4b0856b5627d443edc924ae972a27078c53112

commit 9c4b0856b5627d443edc924ae972a27078c53112
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jun 20 21:52:53 2014 +0100

    [BZ #16046] dl_iterate_phdr static executable test
    
    (cherry picked from commit 257ce7127e2f64a6a959b146786cd43de0e42b5f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5ec38d177c9089db1bc62546bfaf411c0cabeb6d

commit 5ec38d177c9089db1bc62546bfaf411c0cabeb6d
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Fri Jun 20 12:41:27 2014 +0200

    Fix another memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit aa6ec754f3b4b1df81d186480c534b6486a1e6ee)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4498c0516d9f16feeca46820ba8ca2e62f916f82

commit 4498c0516d9f16feeca46820ba8ca2e62f916f82
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Thu Jun 19 15:38:03 2014 +0200

    Fix memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit 4d43ef1e7434d7d419afbcd754931cb0c794763c)
    
    Conflicts:
    	posix/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7b17d60f13089585c2b63d46cbc660c4b85d169d

commit 7b17d60f13089585c2b63d46cbc660c4b85d169d
Author: Andreas Schwab <schwab@suse.de>
Date:   Mon May 26 18:01:31 2014 +0200

    Fix invalid file descriptor reuse while sending DNS query (BZ #15946)
    
    (cherry picked from commit f9d2d03254a58d92635a311a42253eeed5a40a47)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=76aebfbb87ecc33e59d29a8adda76dfcdbc9213d

commit 76aebfbb87ecc33e59d29a8adda76dfcdbc9213d
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Feb 18 10:57:25 2014 +0100

    Properly fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    Instead of trying to guess whether the second buffer needs to be freed
    set a flag at the place it is allocated
    
    (cherry picked from commit ab09bf616ad527b249aca5f2a4956fd526f0712f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c6ce0dadcfd14973ba880f4e043058a9367f00ce

commit c6ce0dadcfd14973ba880f4e043058a9367f00ce
Author: Ondřej Bílka <neleai@seznam.cz>
Date:   Sun Feb 16 12:59:23 2014 +0100

    Deduplicate resolv/nss_dns/dns-host.c
    
    In resolv/nss_dns/dns-host.c one of code path duplicated code after
    that. We merge these paths.
    
    (cherry picked from commit ab7ac0f2cf8731fe4c3f3aea6088a7c0127b5725)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4ad0ab7bdb6c4afb3fc561c6497759eb939d2a73

commit 4ad0ab7bdb6c4afb3fc561c6497759eb939d2a73
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu Feb 13 11:01:57 2014 +0100

    Fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    (cherry picked from commit d668061994a7486a3ba9c7d5e7882d85a2883707)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=00a84253c5bc7dffb7a0a666cea21ea5e0288771

commit 00a84253c5bc7dffb7a0a666cea21ea5e0288771
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu May 8 16:53:01 2014 +0200

    Fix unbound stack use in NIS NSS module
    
    (cherry picked from commit 315eb1d86aea489cd6325fd1c2521dcfb4fc0e1c)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=30026b69015db3f82407df83dc1118518ee1fa5c

commit 30026b69015db3f82407df83dc1118518ee1fa5c
Author: Allan McRae <allan@archlinux.org>
Date:   Sat Jun 21 17:23:55 2014 +1000

    Mention CVE-2014-4043 in NEWS
    
    (cherry picked from commit d03efb2f979defd473955a455d66b949961d26b2)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa

commit e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed Jun 11 23:12:52 2014 +0200

    posix_spawn_file_actions_addopen needs to copy the path argument (BZ 17048)
    
    POSIX requires that we make a copy, so we allocate a new string
    and free it in posix_spawn_file_actions_destroy.
    
    Reported by David Reid, Alex Gaynor, and Glyph Lefkowitz.  This bug
    may have security implications.
    
    (cherry picked from commit 89e435f3559c53084498e9baad22172b64429362)
    
    Conflicts:
    	NEWS

-----------------------------------------------------------------------
Comment 7 cvs-commit@gcc.gnu.org 2014-08-28 12:02:05 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, allan/2.19/backport has been created
        at  d75d95a7f2823ec2cf90b5fa7dafef283f49401e (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d75d95a7f2823ec2cf90b5fa7dafef283f49401e

commit d75d95a7f2823ec2cf90b5fa7dafef283f49401e
Author: Florian Weimer <fweimer@redhat.com>
Date:   Tue Aug 26 19:38:59 2014 +0200

    __gconv_translit_find: Disable function [BZ #17187]
    
    This functionality has never worked correctly, and the implementation
    contained a security vulnerability (CVE-2014-5119).
    
    (cherry picked from commit a1a6a401ab0a3c9f15fb7eaebbdcee24192254e8)
    (cherry picked from commit f9df71e895d3552d557e783fdb9d133328195645)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a27eb3cfcc0cdcbf197c66bbf78ff1ec84412f22

commit a27eb3cfcc0cdcbf197c66bbf78ff1ec84412f22
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Fri Aug 1 09:48:17 2014 +0200

    NEWS: Explain the s390 jmp_buf / ucontext_t ABI change reversal.
    
    (cherry picked from commit 95ee7fb13ba99ba265b49531c57e1cb8db629bc6)
    
    Typo fix as in commit 45ef66289acbab17278a73512f9b2a9d8a7ca79d and
    NEW enty adjusted to reflect revert occuring in 2.19.1 and 2.20.
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=19392a8ff30c913a35574f2b0875f61dfb78af46

commit 19392a8ff30c913a35574f2b0875f61dfb78af46
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Thu Aug 28 16:53:13 2014 +1000

    S/390: Revert the jmp_buf/ucontext_t ABI change
    
    Backport of commit 2f438e20ab591641760e97458d5d1569942eced5

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a5dd31f514e3ab41bfe60cdeacd75d875006d9cc

commit a5dd31f514e3ab41bfe60cdeacd75d875006d9cc
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed May 28 14:05:03 2014 +0200

    manual: Update the locale documentation
    
    (cherry picked from commit 585367266923156ac6fb789939a923641ba5aaf4)
    
    Conflicts:
    	manual/locale.texi

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d475d58097efe764e2567fca0ea194d5d80150ce

commit d475d58097efe764e2567fca0ea194d5d80150ce
Author: Florian Weimer <fweimer@redhat.com>
Date:   Mon May 12 15:24:12 2014 +0200

    _nl_find_locale: Improve handling of crafted locale names [BZ #17137]
    
    Prevent directory traversal in locale-related environment variables
    (CVE-2014-0475).
    
    (cherry picked from commit 4e8f95a0df7c2300b830ec12c0ae1e161bc8a8a3)
    
    Conflicts:
    	NEWS
    	localedata/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1298cdbed6596663785254f63cb92af265aee8e0

commit 1298cdbed6596663785254f63cb92af265aee8e0
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed May 28 14:41:52 2014 +0200

    setlocale: Use the heap for the copy of the locale argument
    
    This avoids alloca calls with potentially large arguments.
    
    (cherry picked from commit d183645616b0533b3acee28f1a95570bffbdf50f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5754d77ab9899688380da1a52b02f62815b3d34b

commit 5754d77ab9899688380da1a52b02f62815b3d34b
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Mon May 26 11:40:08 2014 +0530

    Use NSS_STATUS_TRYAGAIN to indicate insufficient buffer (BZ #16878)
    
    The netgroups nss modules in the glibc tree use NSS_STATUS_UNAVAIL
    (with errno as ERANGE) when the supplied buffer does not have
    sufficient space for the result.  This is wrong, because the canonical
    way to indicate insufficient buffer is to set the errno to ERANGE and
    the status to NSS_STATUS_TRYAGAIN, as is used by all other modules.
    
    This fixes nscd behaviour when the nss_ldap module returns
    NSS_STATUS_TRYAGAIN to indicate that a netgroup entry is too long to
    fit into the supplied buffer.
    
    (cherry picked from commit c3ec475c5dd16499aa040908e11d382c3ded9692)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b5a823c6c62a05a793aa2d6ff208d1261b46f281

commit b5a823c6c62a05a793aa2d6ff208d1261b46f281
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Wed Mar 12 17:27:22 2014 +0530

    Provide correct buffer length to netgroup queries in nscd (BZ #16695)
    
    The buffer to query netgroup entries is allocated sufficient space for
    the netgroup entries and the key to be appended at the end, but it
    sends in an incorrect available length to the NSS netgroup query
    functions, resulting in overflow of the buffer in some special cases.
    The fix here is to factor in the key length when sending the available
    buffer and buffer length to the query functions.
    
    (cherry picked from commit c44496df2f090a56d3bf75df930592dac6bba46f)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9c4b0856b5627d443edc924ae972a27078c53112

commit 9c4b0856b5627d443edc924ae972a27078c53112
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jun 20 21:52:53 2014 +0100

    [BZ #16046] dl_iterate_phdr static executable test
    
    (cherry picked from commit 257ce7127e2f64a6a959b146786cd43de0e42b5f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5ec38d177c9089db1bc62546bfaf411c0cabeb6d

commit 5ec38d177c9089db1bc62546bfaf411c0cabeb6d
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Fri Jun 20 12:41:27 2014 +0200

    Fix another memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit aa6ec754f3b4b1df81d186480c534b6486a1e6ee)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4498c0516d9f16feeca46820ba8ca2e62f916f82

commit 4498c0516d9f16feeca46820ba8ca2e62f916f82
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Thu Jun 19 15:38:03 2014 +0200

    Fix memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit 4d43ef1e7434d7d419afbcd754931cb0c794763c)
    
    Conflicts:
    	posix/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7b17d60f13089585c2b63d46cbc660c4b85d169d

commit 7b17d60f13089585c2b63d46cbc660c4b85d169d
Author: Andreas Schwab <schwab@suse.de>
Date:   Mon May 26 18:01:31 2014 +0200

    Fix invalid file descriptor reuse while sending DNS query (BZ #15946)
    
    (cherry picked from commit f9d2d03254a58d92635a311a42253eeed5a40a47)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=76aebfbb87ecc33e59d29a8adda76dfcdbc9213d

commit 76aebfbb87ecc33e59d29a8adda76dfcdbc9213d
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Feb 18 10:57:25 2014 +0100

    Properly fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    Instead of trying to guess whether the second buffer needs to be freed
    set a flag at the place it is allocated
    
    (cherry picked from commit ab09bf616ad527b249aca5f2a4956fd526f0712f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c6ce0dadcfd14973ba880f4e043058a9367f00ce

commit c6ce0dadcfd14973ba880f4e043058a9367f00ce
Author: Ondřej Bílka <neleai@seznam.cz>
Date:   Sun Feb 16 12:59:23 2014 +0100

    Deduplicate resolv/nss_dns/dns-host.c
    
    In resolv/nss_dns/dns-host.c one of code path duplicated code after
    that. We merge these paths.
    
    (cherry picked from commit ab7ac0f2cf8731fe4c3f3aea6088a7c0127b5725)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4ad0ab7bdb6c4afb3fc561c6497759eb939d2a73

commit 4ad0ab7bdb6c4afb3fc561c6497759eb939d2a73
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu Feb 13 11:01:57 2014 +0100

    Fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    (cherry picked from commit d668061994a7486a3ba9c7d5e7882d85a2883707)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=00a84253c5bc7dffb7a0a666cea21ea5e0288771

commit 00a84253c5bc7dffb7a0a666cea21ea5e0288771
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu May 8 16:53:01 2014 +0200

    Fix unbound stack use in NIS NSS module
    
    (cherry picked from commit 315eb1d86aea489cd6325fd1c2521dcfb4fc0e1c)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=30026b69015db3f82407df83dc1118518ee1fa5c

commit 30026b69015db3f82407df83dc1118518ee1fa5c
Author: Allan McRae <allan@archlinux.org>
Date:   Sat Jun 21 17:23:55 2014 +1000

    Mention CVE-2014-4043 in NEWS
    
    (cherry picked from commit d03efb2f979defd473955a455d66b949961d26b2)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa

commit e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed Jun 11 23:12:52 2014 +0200

    posix_spawn_file_actions_addopen needs to copy the path argument (BZ 17048)
    
    POSIX requires that we make a copy, so we allocate a new string
    and free it in posix_spawn_file_actions_destroy.
    
    Reported by David Reid, Alex Gaynor, and Glyph Lefkowitz.  This bug
    may have security implications.
    
    (cherry picked from commit 89e435f3559c53084498e9baad22172b64429362)
    
    Conflicts:
    	NEWS

-----------------------------------------------------------------------
Comment 8 cvs-commit@gcc.gnu.org 2014-09-05 13:16:28 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, release/2.19/master has been updated
       via  daea1a9b2ab9ad1690a2770006f5964e188be11f (commit)
       via  b8d0acdb33866d0f67ee8a019bdbdaa6a00d0c99 (commit)
       via  92b410973f872297e0c1bfda06abead4b0a265d1 (commit)
       via  424f645c513d56a5b8323971197e3afa1ed8f003 (commit)
       via  75f66fe467b280d9fb192d3f32e06e4b20d12dcc (commit)
       via  ac39af9f195138a01b836fb4a30bd971de4aa163 (commit)
       via  2da15d05c54738ed2c53aaf555c7cf51a9057844 (commit)
       via  6ccc1c41f52f93548b5eb64d106219e287052472 (commit)
       via  4e27332819b6151ccb5031d0efd718d802168573 (commit)
       via  9583c3542133be925467c87df7f74882783d867d (commit)
       via  2ce47f454b6f1df5d2374fcac1b72e65e5f55a67 (commit)
       via  1f542fe398a1d02cce53d78f7a33e72078e7d4e9 (commit)
       via  d3b2d64576fcc1281841a48740f5f481d1b46a90 (commit)
       via  40da893a143224b0a41a004eb5e971fc5d94381b (commit)
       via  3a4f226eaf6aff5529711f7fa3885a1cec815c32 (commit)
       via  efbeb31ba5277132b683011714f8e77bc2156aa2 (commit)
       via  968b59ad2aecdbe67ac5016c395a7e38fd682bb7 (commit)
       via  29fd33140d964e0e08207ceecbf479b85658fcb8 (commit)
       via  8ec14bdc9c600cc273b242ebca6566fe15de107d (commit)
       via  e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa (commit)
      from  344e61df0200af758e794b9843ffb37bd89e5259 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=daea1a9b2ab9ad1690a2770006f5964e188be11f

commit daea1a9b2ab9ad1690a2770006f5964e188be11f
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed Sep 3 19:45:43 2014 +0200

    CVE-2014-6040: Crashes on invalid input in IBM gconv modules [BZ #17325]
    
    These changes are based on the fix for BZ #14134 in commit
    6e230d11837f3ae7b375ea69d7905f0d18eb79e5.
    
    (cherry picked from commit 41488498b6d9440ee66ab033808cce8323bba7ac)
    
    Conflicts:
    	NEWS
    	iconvdata/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b8d0acdb33866d0f67ee8a019bdbdaa6a00d0c99

commit b8d0acdb33866d0f67ee8a019bdbdaa6a00d0c99
Author: Florian Weimer <fweimer@redhat.com>
Date:   Tue Aug 26 19:38:59 2014 +0200

    __gconv_translit_find: Disable function [BZ #17187]
    
    This functionality has never worked correctly, and the implementation
    contained a security vulnerability (CVE-2014-5119).
    
    (cherry picked from commit a1a6a401ab0a3c9f15fb7eaebbdcee24192254e8)
    (cherry picked from commit f9df71e895d3552d557e783fdb9d133328195645)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=92b410973f872297e0c1bfda06abead4b0a265d1

commit 92b410973f872297e0c1bfda06abead4b0a265d1
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Fri Aug 1 09:48:17 2014 +0200

    NEWS: Explain the s390 jmp_buf / ucontext_t ABI change reversal.
    
    (cherry picked from commit 95ee7fb13ba99ba265b49531c57e1cb8db629bc6)
    
    Typo fix as in commit 45ef66289acbab17278a73512f9b2a9d8a7ca79d and
    NEW enty adjusted to reflect revert occuring in 2.19.1 and 2.20.
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=424f645c513d56a5b8323971197e3afa1ed8f003

commit 424f645c513d56a5b8323971197e3afa1ed8f003
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Thu Aug 28 16:53:13 2014 +1000

    S/390: Revert the jmp_buf/ucontext_t ABI change
    
    Backport of commit 2f438e20ab591641760e97458d5d1569942eced5

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=75f66fe467b280d9fb192d3f32e06e4b20d12dcc

commit 75f66fe467b280d9fb192d3f32e06e4b20d12dcc
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed May 28 14:05:03 2014 +0200

    manual: Update the locale documentation
    
    (cherry picked from commit 585367266923156ac6fb789939a923641ba5aaf4)
    
    Conflicts:
    	manual/locale.texi

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ac39af9f195138a01b836fb4a30bd971de4aa163

commit ac39af9f195138a01b836fb4a30bd971de4aa163
Author: Florian Weimer <fweimer@redhat.com>
Date:   Mon May 12 15:24:12 2014 +0200

    _nl_find_locale: Improve handling of crafted locale names [BZ #17137]
    
    Prevent directory traversal in locale-related environment variables
    (CVE-2014-0475).
    
    (cherry picked from commit 4e8f95a0df7c2300b830ec12c0ae1e161bc8a8a3)
    
    Addiational backporting fixes:
      Added tst-setlocale3-ENV to localedata/Makefile
    
    Conflicts:
    	NEWS
    	localedata/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2da15d05c54738ed2c53aaf555c7cf51a9057844

commit 2da15d05c54738ed2c53aaf555c7cf51a9057844
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed May 28 14:41:52 2014 +0200

    setlocale: Use the heap for the copy of the locale argument
    
    This avoids alloca calls with potentially large arguments.
    
    (cherry picked from commit d183645616b0533b3acee28f1a95570bffbdf50f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6ccc1c41f52f93548b5eb64d106219e287052472

commit 6ccc1c41f52f93548b5eb64d106219e287052472
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Mon May 26 11:40:08 2014 +0530

    Use NSS_STATUS_TRYAGAIN to indicate insufficient buffer (BZ #16878)
    
    The netgroups nss modules in the glibc tree use NSS_STATUS_UNAVAIL
    (with errno as ERANGE) when the supplied buffer does not have
    sufficient space for the result.  This is wrong, because the canonical
    way to indicate insufficient buffer is to set the errno to ERANGE and
    the status to NSS_STATUS_TRYAGAIN, as is used by all other modules.
    
    This fixes nscd behaviour when the nss_ldap module returns
    NSS_STATUS_TRYAGAIN to indicate that a netgroup entry is too long to
    fit into the supplied buffer.
    
    (cherry picked from commit c3ec475c5dd16499aa040908e11d382c3ded9692)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4e27332819b6151ccb5031d0efd718d802168573

commit 4e27332819b6151ccb5031d0efd718d802168573
Author: Siddhesh Poyarekar <siddhesh@redhat.com>
Date:   Wed Mar 12 17:27:22 2014 +0530

    Provide correct buffer length to netgroup queries in nscd (BZ #16695)
    
    The buffer to query netgroup entries is allocated sufficient space for
    the netgroup entries and the key to be appended at the end, but it
    sends in an incorrect available length to the NSS netgroup query
    functions, resulting in overflow of the buffer in some special cases.
    The fix here is to factor in the key length when sending the available
    buffer and buffer length to the query functions.
    
    (cherry picked from commit c44496df2f090a56d3bf75df930592dac6bba46f)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9583c3542133be925467c87df7f74882783d867d

commit 9583c3542133be925467c87df7f74882783d867d
Author: Maciej W. Rozycki <macro@codesourcery.com>
Date:   Fri Jun 20 21:52:53 2014 +0100

    [BZ #16046] dl_iterate_phdr static executable test
    
    (cherry picked from commit 257ce7127e2f64a6a959b146786cd43de0e42b5f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2ce47f454b6f1df5d2374fcac1b72e65e5f55a67

commit 2ce47f454b6f1df5d2374fcac1b72e65e5f55a67
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Fri Jun 20 12:41:27 2014 +0200

    Fix another memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit aa6ec754f3b4b1df81d186480c534b6486a1e6ee)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1f542fe398a1d02cce53d78f7a33e72078e7d4e9

commit 1f542fe398a1d02cce53d78f7a33e72078e7d4e9
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Thu Jun 19 15:38:03 2014 +0200

    Fix memory leak in regexp compiler (BZ #17069)
    
    (cherry picked from commit 4d43ef1e7434d7d419afbcd754931cb0c794763c)
    
    Conflicts:
    	posix/Makefile

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d3b2d64576fcc1281841a48740f5f481d1b46a90

commit d3b2d64576fcc1281841a48740f5f481d1b46a90
Author: Andreas Schwab <schwab@suse.de>
Date:   Mon May 26 18:01:31 2014 +0200

    Fix invalid file descriptor reuse while sending DNS query (BZ #15946)
    
    (cherry picked from commit f9d2d03254a58d92635a311a42253eeed5a40a47)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=40da893a143224b0a41a004eb5e971fc5d94381b

commit 40da893a143224b0a41a004eb5e971fc5d94381b
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Feb 18 10:57:25 2014 +0100

    Properly fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    Instead of trying to guess whether the second buffer needs to be freed
    set a flag at the place it is allocated
    
    (cherry picked from commit ab09bf616ad527b249aca5f2a4956fd526f0712f)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3a4f226eaf6aff5529711f7fa3885a1cec815c32

commit 3a4f226eaf6aff5529711f7fa3885a1cec815c32
Author: Ondřej Bílka <neleai@seznam.cz>
Date:   Sun Feb 16 12:59:23 2014 +0100

    Deduplicate resolv/nss_dns/dns-host.c
    
    In resolv/nss_dns/dns-host.c one of code path duplicated code after
    that. We merge these paths.
    
    (cherry picked from commit ab7ac0f2cf8731fe4c3f3aea6088a7c0127b5725)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=efbeb31ba5277132b683011714f8e77bc2156aa2

commit efbeb31ba5277132b683011714f8e77bc2156aa2
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu Feb 13 11:01:57 2014 +0100

    Fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
    
    (cherry picked from commit d668061994a7486a3ba9c7d5e7882d85a2883707)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=968b59ad2aecdbe67ac5016c395a7e38fd682bb7

commit 968b59ad2aecdbe67ac5016c395a7e38fd682bb7
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu May 8 16:53:01 2014 +0200

    Fix unbound stack use in NIS NSS module
    
    (cherry picked from commit 315eb1d86aea489cd6325fd1c2521dcfb4fc0e1c)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=29fd33140d964e0e08207ceecbf479b85658fcb8

commit 29fd33140d964e0e08207ceecbf479b85658fcb8
Author: Allan McRae <allan@archlinux.org>
Date:   Sat Jun 21 17:23:55 2014 +1000

    Mention CVE-2014-4043 in NEWS
    
    (cherry picked from commit d03efb2f979defd473955a455d66b949961d26b2)
    
    Conflicts:
    	NEWS

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8ec14bdc9c600cc273b242ebca6566fe15de107d

commit 8ec14bdc9c600cc273b242ebca6566fe15de107d
Author: Stefan Liebler <stli@linux.vnet.ibm.com>
Date:   Thu Jun 12 14:15:25 2014 +0200

    posix_spawn_faction_addopen: Add missing string.h include directive
    
    This is needed to avoid a PLT call on s390.
    
    (cherry picked from commit 35a5e3e338ae17f3d42c60a708763c5d498fb840)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa

commit e698ea2c03ddfdfa87459c1a0e53e2a4289de0fa
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed Jun 11 23:12:52 2014 +0200

    posix_spawn_file_actions_addopen needs to copy the path argument (BZ 17048)
    
    POSIX requires that we make a copy, so we allocate a new string
    and free it in posix_spawn_file_actions_destroy.
    
    Reported by David Reid, Alex Gaynor, and Glyph Lefkowitz.  This bug
    may have security implications.
    
    (cherry picked from commit 89e435f3559c53084498e9baad22172b64429362)
    
    Conflicts:
    	NEWS

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                                          |  247 ++++++++++++++++++++
 NEWS                                               |   40 +++-
 elf/Makefile                                       |    2 +-
 elf/tst-dl-iter-static.c                           |   47 ++++
 iconv/gconv_trans.c                                |  177 +--------------
 iconvdata/Makefile                                 |    1 +
 iconvdata/ibm1364.c                                |    3 +-
 iconvdata/ibm932.c                                 |    5 +-
 iconvdata/ibm933.c                                 |    2 +-
 iconvdata/ibm935.c                                 |    2 +-
 iconvdata/ibm937.c                                 |    2 +-
 iconvdata/ibm939.c                                 |    2 +-
 iconvdata/ibm943.c                                 |    5 +-
 iconvdata/run-iconv-test.sh                        |   18 ++
 include/resolv.h                                   |    6 +-
 locale/findlocale.c                                |   74 +++++-
 locale/setlocale.c                                 |   14 +-
 localedata/ChangeLog                               |    6 +
 localedata/Makefile                                |    5 +-
 localedata/tst-setlocale3.c                        |  203 ++++++++++++++++
 manual/locale.texi                                 |  146 +++++++++---
 nis/nss_nis/nis-hosts.c                            |   14 ++
 nis/nss_nis/nis-initgroups.c                       |    7 +
 nis/nss_nis/nis-network.c                          |    7 +
 nis/nss_nis/nis-service.c                          |   14 ++
 nptl/sysdeps/unix/sysv/linux/s390/pt-longjmp.c     |   71 ++----
 nscd/netgroupcache.c                               |   16 +-
 nss/nss_files/files-netgrp.c                       |    2 +-
 posix/Makefile                                     |   10 +-
 posix/bug-regex36.c                                |   29 +++
 posix/regcomp.c                                    |   19 ++-
 posix/spawn_faction_addopen.c                      |   14 +-
 posix/spawn_faction_destroy.c                      |   22 ++-
 posix/spawn_int.h                                  |    2 +-
 posix/tst-spawn.c                                  |   10 +-
 resolv/gethnamaddr.c                               |    6 +-
 resolv/nss_dns/dns-canon.c                         |    2 +-
 resolv/nss_dns/dns-host.c                          |   32 ++--
 resolv/nss_dns/dns-network.c                       |    4 +-
 resolv/res_query.c                                 |   45 ++--
 resolv/res_send.c                                  |   22 ++-
 sysdeps/s390/Makefile                              |    9 -
 sysdeps/s390/Versions                              |    6 +-
 sysdeps/s390/__longjmp.c                           |   31 ---
 sysdeps/s390/bits/setjmp.h                         |    4 -
 sysdeps/s390/longjmp.c                             |   68 ++----
 sysdeps/s390/rtld-__longjmp.c                      |   19 --
 sysdeps/s390/rtld-global-offsets.sym               |    7 -
 sysdeps/s390/rtld-setjmp.S                         |   20 --
 sysdeps/s390/s390-32/__longjmp-common.c            |   68 ------
 sysdeps/s390/s390-32/__longjmp.c                   |   68 ++++++
 sysdeps/s390/s390-32/setjmp-common.S               |   84 -------
 sysdeps/s390/s390-32/setjmp.S                      |  111 +++++++++
 sysdeps/s390/s390-64/__longjmp-common.c            |   74 ------
 sysdeps/s390/s390-64/__longjmp.c                   |   74 ++++++
 sysdeps/s390/s390-64/setjmp-common.S               |   79 -------
 sysdeps/s390/s390-64/setjmp.S                      |  106 +++++++++
 sysdeps/s390/setjmp.S                              |   64 -----
 sysdeps/s390/sigjmp.c                              |   34 ---
 sysdeps/s390/v1-longjmp.c                          |   57 -----
 sysdeps/s390/v1-setjmp.h                           |  111 ---------
 sysdeps/s390/v1-sigjmp.c                           |   44 ----
 sysdeps/unix/sysv/linux/s390/Makefile              |    6 -
 sysdeps/unix/sysv/linux/s390/getcontext.S          |   38 ---
 sysdeps/unix/sysv/linux/s390/longjmp_chk.c         |   36 ++--
 sysdeps/unix/sysv/linux/s390/rtld-getcontext.S     |   19 --
 .../unix/sysv/linux/s390/s390-32/____longjmp_chk.c |   24 +--
 .../sysv/linux/s390/s390-32/getcontext-common.S    |  112 ---------
 sysdeps/unix/sysv/linux/s390/s390-32/getcontext.S  |   86 +++++++
 .../unix/sysv/linux/s390/s390-32/nptl/libc.abilist |    1 -
 sysdeps/unix/sysv/linux/s390/s390-32/setcontext.S  |   10 +-
 sysdeps/unix/sysv/linux/s390/s390-32/swapcontext.S |   24 +--
 .../unix/sysv/linux/s390/s390-32/ucontext_i.sym    |   26 --
 .../unix/sysv/linux/s390/s390-64/____longjmp_chk.c |   25 +--
 .../sysv/linux/s390/s390-64/getcontext-common.S    |   79 -------
 sysdeps/unix/sysv/linux/s390/s390-64/getcontext.S  |   86 +++++++
 .../unix/sysv/linux/s390/s390-64/nptl/libc.abilist |    1 -
 sysdeps/unix/sysv/linux/s390/s390-64/swapcontext.S |   14 +-
 sysdeps/unix/sysv/linux/s390/sys/ucontext.h        |   13 -
 .../sysv/linux/s390/{s390-64 => }/ucontext_i.sym   |    0
 sysdeps/unix/sysv/linux/s390/v1-longjmp_chk.c      |   35 ---
 81 files changed, 1598 insertions(+), 1530 deletions(-)
 create mode 100644 elf/tst-dl-iter-static.c
 create mode 100644 localedata/tst-setlocale3.c
 create mode 100644 posix/bug-regex36.c
 delete mode 100644 sysdeps/s390/Makefile
 delete mode 100644 sysdeps/s390/__longjmp.c
 delete mode 100644 sysdeps/s390/rtld-__longjmp.c
 delete mode 100644 sysdeps/s390/rtld-global-offsets.sym
 delete mode 100644 sysdeps/s390/rtld-setjmp.S
 delete mode 100644 sysdeps/s390/s390-32/__longjmp-common.c
 create mode 100644 sysdeps/s390/s390-32/__longjmp.c
 delete mode 100644 sysdeps/s390/s390-32/setjmp-common.S
 create mode 100644 sysdeps/s390/s390-32/setjmp.S
 delete mode 100644 sysdeps/s390/s390-64/__longjmp-common.c
 create mode 100644 sysdeps/s390/s390-64/__longjmp.c
 delete mode 100644 sysdeps/s390/s390-64/setjmp-common.S
 create mode 100644 sysdeps/s390/s390-64/setjmp.S
 delete mode 100644 sysdeps/s390/setjmp.S
 delete mode 100644 sysdeps/s390/sigjmp.c
 delete mode 100644 sysdeps/s390/v1-longjmp.c
 delete mode 100644 sysdeps/s390/v1-setjmp.h
 delete mode 100644 sysdeps/s390/v1-sigjmp.c
 delete mode 100644 sysdeps/unix/sysv/linux/s390/getcontext.S
 delete mode 100644 sysdeps/unix/sysv/linux/s390/rtld-getcontext.S
 delete mode 100644 sysdeps/unix/sysv/linux/s390/s390-32/getcontext-common.S
 create mode 100644 sysdeps/unix/sysv/linux/s390/s390-32/getcontext.S
 delete mode 100644 sysdeps/unix/sysv/linux/s390/s390-32/ucontext_i.sym
 delete mode 100644 sysdeps/unix/sysv/linux/s390/s390-64/getcontext-common.S
 create mode 100644 sysdeps/unix/sysv/linux/s390/s390-64/getcontext.S
 rename sysdeps/unix/sysv/linux/s390/{s390-64 => }/ucontext_i.sym (100%)
 delete mode 100644 sysdeps/unix/sysv/linux/s390/v1-longjmp_chk.c
Comment 9 cvs-commit@gcc.gnu.org 2014-09-07 12:18:19 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The annotated tag, glibc-2.20 has been created
        at  9bcede1abfb0fa62d54b7cfce5c72d56e2f7b95c (tag)
   tagging  b8079dd0d360648e4e8de48656c5c38972621072 (commit)
  replaces  glibc-2.19
 tagged by  Allan McRae
        on  Sun Sep 7 18:17:29 2014 +1000

- Log -----------------------------------------------------------------
The GNU C Library
=================

The GNU C Library version 2.20 is now available.

The GNU C Library is used as *the* C library in the GNU systems
and is widely used on systems with the Linux kernel.

The GNU C Library is primarily designed to be a portable
and high performance C library.  It follows all relevant
standards including ISO C11 and POSIX.1-2008.  It is also
internationalized and has one of the most complete
internationalization interfaces known.

The GNU C Library webpage is at http://www.gnu.org/software/libc/

Packages for the 2.20 release may be downloaded from:
        http://ftpmirror.gnu.org/libc/
        http://ftp.gnu.org/gnu/libc/

The mirror list is at http://www.gnu.org/order/ftp.html

NEWS for version 2.20
====================

* The following bugs are resolved with this release:

  6804, 9894, 12994, 13347, 13651, 14308, 14770, 15119, 15132, 15347, 15514,
  15698, 15804, 15894, 15946, 16002, 16064, 16095, 16194, 16198, 16275,
  16284, 16287, 16315, 16348, 16349, 16354, 16357, 16362, 16447, 16516,
  16532, 16539, 16545, 16561, 16562, 16564, 16574, 16599, 16600, 16609,
  16610, 16611, 16613, 16619, 16623, 16629, 16632, 16634, 16639, 16642,
  16648, 16649, 16670, 16674, 16677, 16680, 16681, 16683, 16689, 16695,
  16701, 16706, 16707, 16712, 16713, 16714, 16724, 16731, 16739, 16740,
  16743, 16754, 16758, 16759, 16760, 16770, 16786, 16789, 16791, 16796,
  16799, 16800, 16815, 16823, 16824, 16831, 16838, 16839, 16849, 16854,
  16876, 16877, 16878, 16882, 16885, 16888, 16890, 16892, 16912, 16915,
  16916, 16917, 16918, 16922, 16927, 16928, 16932, 16943, 16958, 16965,
  16966, 16967, 16977, 16978, 16984, 16990, 16996, 17009, 17022, 17031,
  17042, 17048, 17050, 17058, 17061, 17062, 17069, 17075, 17078, 17079,
  17084, 17086, 17088, 17092, 17097, 17125, 17135, 17137, 17150, 17153,
  17187, 17213, 17259, 17261, 17262, 17263, 17319, 17325, 17354.

* Reverted change of ABI data structures for s390 and s390x:
  On s390 and s390x the size of struct ucontext and jmp_buf was increased in
  2.19. This change is reverted in 2.20. The introduced 2.19 symbol versions
  of getcontext, setjmp, _setjmp, __sigsetjmp, longjmp, _longjmp, siglongjmp
  are preserved pointing straight to the same implementation as the old ones.
  Given that, new callers will simply provide a too-big buffer to these
  functions. Any applications/libraries out there that embed jmp_buf or
  ucontext_t in an ABI-relevant data structure that have already been rebuilt
  against 2.19 headers will have to rebuilt again. This is necessary in any
  case to revert the breakage in their ABI caused by the glibc change.

* Support for file description locks is added to systems running the
  Linux kernel. The standard file locking interfaces are extended to
  operate on file descriptions, not file descriptors, via the use of
  F_OFD_GETLK, F_OFD_SETLK, and F_OFD_SETLKW. File description locks
  are associated with an open file instead of a process.

* Optimized strchr implementation for AArch64.  Contributed by ARM Ltd.

* The minimum Linux kernel version that this version of the GNU C Library
  can be used with is 2.6.32.

* Running the testsuite no longer terminates as soon as a test fails.
  Instead, a file tests.sum (xtests.sum from "make xcheck") is generated,
  with PASS or FAIL lines for individual tests.  A summary of the results is
  printed, including a list of failing lists, and "make check" exits with
  error status if there were any unexpected failures.  "make check
  stop-on-test-failure=y" may be used to keep the old behavior.

* The am33 port, which had not worked for several years, has been removed
  from ports.

* The _BSD_SOURCE and _SVID_SOURCE feature test macros are no longer
  supported; they now act the same as _DEFAULT_SOURCE (but generate a
  warning).  Except for cases where _BSD_SOURCE enabled BSD interfaces that
  conflicted with POSIX (support for which was removed in 2.19), the
  interfaces those macros enabled remain available when compiling with
  _GNU_SOURCE defined, with _DEFAULT_SOURCE defined, or without any feature
  test macros defined.

* Optimized strcmp implementation for ARMv7.  Contributed by ARM Ltd.

* Added support for TX lock elision of pthread mutexes on s390 and s390x.
  This may improve lock scaling of existing programs on TX capable systems.
  The lock elision code is only built with --enable-lock-elision=yes and
  then requires a GCC version supporting the TX builtins.  With lock elision
  default mutexes are elided via __builtin_tbegin, if the cpu supports
  transactions. By default lock elision is not enabled and the elision code
  is not built.

* CVE-2014-4043 The posix_spawn_file_actions_addopen implementation did not
  copy the path argument.  This allowed programs to cause posix_spawn to
  deference a dangling pointer, or use an unexpected pathname argument if
  the string was modified after the posix_spawn_file_actions_addopen
  invocation.

* All supported architectures now use the main glibc sysdeps directory
  instead of some being in a separate "ports" directory (which was
  distributed separately before glibc 2.17).

* The NPTL implementation of POSIX pthreads is no longer an "add-on".
  On configurations that support it (all Linux configurations), it's now
  used regardless of the --enable-add-ons switch to configure.  It is no
  longer possible to build such configurations without pthreads support.

* Locale names, including those obtained from environment variables (LANG
  and the LC_* variables), are more tightly checked for proper syntax.
  setlocale will now fail (with EINVAL) for locale names that are overly
  long, contain slashes without starting with a slash, or contain ".." path
  components. (CVE-2014-0475)  Previously, some valid locale names were
  silently replaced with the "C" locale when running in AT_SECURE mode
  (e.g., in a SUID program).  This is no longer necessary because of the
  additional checks.

* On x86-64, the dynamic linker's lazy-binding support is now compatible
  with application code using Intel MPX instructions.  (With all previous
  versions, the MPX register state could be clobbered when making calls
  into or out of a shared library.)  Note that while the new dynamic
  linker is compatible with all known x86 hardware whether or not it
  supports Intel MPX, some x86 instruction-set emulators might fail to
  handle the new instruction encodings.  This is known to affect Valgrind
  versions up through 3.9 (but will be fixed in the forthcoming 3.10
  release), and might affect other tools that do instruction emulation.

* Support for loadable gconv transliteration modules has been removed.
  The support for transliteration modules has been non-functional for
  over a decade, and the removal is prompted by security defects.  The
  normal gconv conversion modules are still supported.  Transliteration
  with //TRANSLIT is still possible, and the //IGNORE specifier
  continues to be  supported. (CVE-2014-5119)

* Decoding a crafted input sequence in the character sets IBM933, IBM935,
  IBM937, IBM939, IBM1364 could result in an out-of-bounds array read,
  resulting a denial-of-service security vulnerability in applications which
  use functions related to iconv. (CVE-2014-6040)

Contributors
============

This release was made possible by the contributions of many people.
The maintainers are grateful to everyone who has contributed
changes or bug reports.  These include:

Adam Conrad
Adhemerval Zanella
Alan Modra
Allan McRae
Andi Kleen
Andreas Krebbel
Andreas Schwab
Arjun Shankar
Aurelien Jarno
Bernard Ogden
Carlos O'Donell
Chris Metcalf
David Holsgrove
David S. Miller
David Svoboda
Dominik Vogt
Dylan Alex Simon
Eric Wong
Florian Weimer
Guo Yixuan
H.J. Lu
Ian Bolton
Igor Zamyatin
Jeff Layton
Jim Meyering
Joey Ye
Jose E. Marchesi
Joseph Anthony Pasquale Holsten
Joseph Myers
Julian Brown
Khem Raj
Konstantin Serebryany
Kyle McMartin
Ling Ma
Ludovic Courtès
Maciej W. Rozycki
Marcus Shawcroft
Mark Wielaard
Marko Myllynen
Meador Inge
Mike Frysinger
Ondřej Bílka
Paul Eggert
Paul Pluzhnikov
Peter TB Brett
Rajalakshmi Srinivasaraghavan
Rasmus Villemoes
Richard Earnshaw
Richard Henderson
Roland McGrath
Sami Kerola
Samuel Thibault
Sean Anderson
Serge Hallyn
Siddhesh Poyarekar
Sihai Yao
Stefan Liebler
Steve Ellcey
Tomas Dohnalek
Torvald Riegel
Venkataramanan Kumar
Vidya Ranganathan
Wilco
Wilco Dijkstra
Will Newton
Yang Yingliang
Yufeng Zhang
Yury Gribov
Yvan Roux
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAABAgAGBQJUDBTZAAoJEPmf/g/q6Zm99pwH/1dlaqMxZ1SB7Nzk1C95URs+
AOihIh+Q5EYgqD3GnYp/evfMaHzZN7TTncZLXmDq6Ui7UiafYddFL91x06q/NzWN
veCipwZC/RgCtQmEAkonVeREKauYrA4OGar86cU3HCIrpG2lGs/QXlhjvB/0HEay
3EJR90lARmZTjFX6nx78uiAzlpfPWhOiallr+Q6WTO4LSyIsf5obyaTNGNWAmWIj
uotYaWjHr+cLwmiYxgO+6JuSOv7HxutnNer82hCH+k/2ppXyIh5RjqRbvbZFscax
VNnfC5Hg/khzZdVXZXowAOkDvLagiQIwSHfTep80p5NeP+aJ2A+CK1ARYY0y8ts=
=Yk2q
-----END PGP SIGNATURE-----

Adam Conrad (2):
      Allow sys/auxv.h to be used from the testsuite on powerpc and sparc.
      Revert incorrect removal of the XDR currency from locale/iso-4217.def

Adhemerval Zanella (68):
      PowerPC: Update powerpc-fpu ULPs.
      PowerPC: Optimized isnan/isnanf for POWER8
      PowerPC: Optimized isinf/isinff for POWER8
      PowerPC: Optimized finite/finitef for POWER8
      PowerPC: llrint/llrintf POWER8 optimization
      PowerPC: llround/llroundf POWER8 optimization
      PowerPC: Update powerpc-fpu ULPs.
      PowerPC: Fix modf/modff optimization return sign
      PowerPC: strncat optimization for PPC64
      PowerPC: Fix bzero definition for static libc for PPC64
      PowerPC: Fix strspn for static build
      PowerPC: Fix bzero definition for static libc for PPC32
      Add truncl tests related to BZ#16414
      PowerPC: remove wrong ceill implementation for PowerPC64
      PowerPC: remove wrong nearbyintl implementation for PPC64
      PowerPC: remove wrong roundl implementation for PowerPC64
      Add stardard definition on conform processing
      PowerPC: optimized strcspn for PPC64/POWER7
      PowerPC: optimized strpbrk for POWER7
      PowerPC: Fix -Wundef warning for __PTHREAD_MUTEX_HAVE_ELISION.
      Update powerpc-fpu ULPs.
      PowerPC: Revert __PTHREAD_MUTEX_HAVE_ELISION change
      Fix localplt check for GNU_IFUNC
      PowerPC: Fix little endian enconding for mfvsrd
      PowerPC: Fix nearbyint/nearbyintf result for FE_DOWNWARD
      PowerPC: define _CALL_ELF if compiler does not
      PowerPC: Fix --disable-multi-arch builds
      Move __PTHREAD_SPINS definition to architecture specific header
      Define _STRING_ARCH_unaligned unconditionally
      PowerPC: Add fenv macros for long double
      PowerPC: Sync pthread_once with default implementation
      PowerPC: Suppress unnecessary FPSCR write
      Fix
      More fixes for unsafe compiler optimization
      PowerPC: ifunc improvement for internal calls
      Fix elf/tst-tls9-static build
      PowerPC: clean BSD Terminal Modes expectation in termios.h
      PowerPC: Fix multiarch hypotf PPC64 path
      PowerPC: Fix copysignf optimization macro
      Update powerpc-fpu ULPs.
      PowerPC: Fix memchr ifunc hidden symbol for PPC32
      PowerPC: Remove unneeded copysign[f] macros
      PowerPC: Remove 64 bits instructions in PPC32 code
      PowerPC: Consolidate NPTL/non versions of vfork
      PowerPC: Consolidate NPTL/non versions of clone
      PowerPC: Move powerpc64 timer_*.c out of nptl/
      PowerPC: Move NPTL ABI headers to sysdeps.
      PowerPC: Move remaining nptl/sysdeps/unix/sysv/linux/powerpc/ files.
      Update powerpc-fpu ULPs.
      PowerPC: Fix optimized strncat strlen call
      Fix ChangeLog indentation.
      Update powerpc-fpu ULPs.
      Fix ChangeLog indentation.
      PowerPC: Move powerpc code out of nptl/ subdirectory
      PowerPC: sync hwcap.h capabilities
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      PowerPC: Guard CALL_ELF check for ppc64 only in link.h
      PowerPC: memmove default implementation cleanup
      PowerPC: optimized memmove for POWER7/PPC64
      PowerPC: optimized memmove for POWER7/PPC32
      PowerPC: Align power7 memcpy using VSX to quadword
      PowerPC: Add ifunc tests for memmove
      PowerPC: Fix compiler warnings
      PowerPC: Cleanup powerpc memmove
      PowerPC: Fix build due missing lll_robust_trylock
      PowerPC: Fix gprof entry point for LE
      PowerPC: Fix termios definitions

Alan Modra (7):
      Fix s_copysign stack temp for PowerPC64 ELFv2
      Fix reference to toc symbol.
      Correct prefetch hint in power7 memrchr.
      Correct IBM long double nextafterl.
      Correct IBM long double frexpl.
      Update fixed bug list
      Correct DT_PPC64_NUM

Allan McRae (27):
      Open development for 2.20
      Fix qsort argument order in collation example
      Update Esperanto translations
      Fix variable used in sed expression in timezone/Makefile
      Update Swedish translations
      Mention CVE-2014-4043 in NEWS
      Add missing changelog entry for commit ab7ac0f2
      Add fixed bug to NEWS
      Update Spanish translations
      Regenerate libc.po
      Update Spanish translation
      Update Dutch translation
      Update Sweedish translation
      Update Bulgarian translation
      Update German translation
      Update Czech translation
      Update Polish translation
      Update Russian translation
      Update French translation
      Update Ukrainian translation
      Update Vietnamese translation
      Update x86 ULPs
      Update Catalan translation
      Update Esperanto translation
      Update Korean translation
      Update contrib.texi
      Update version.h and include/features.h for 2.20 release

Andi Kleen (5):
      Fix dwarf2 unwinding through futex functions.
      Add a fast path for C rd/wrlock v2
      Add adaptive elision to rwlocks
      Remove x86 assembler rwlock code
      Add fallback file for elide.h

Andreas Krebbel (3):
      BZ #16447: Fix ldbl-128 expl implementation.
      NEWS: Add 16447 to fixed bugs list.
      NEWS: Add comment about changed ABI on s390 and s390x.

Andreas Schwab (45):
      Move m68k from ports to libc
      Whitespace fixes
      Fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
      Properly fix memory leak in _nss_dns_gethostbyname4_r with big DNS answer
      Add GLIBC_2.17 to librt in Version.def
      Fix race conditions in pldd that may leave the process stopped after detaching
      nscd: also invalidate netgroup cache on reload
      Account for alloca use when collecting interface addresses (bug 16002)
      Fix use of half-initialized result in getaddrinfo when using nscd (bug 16743)
      Setup LOCPATH for tst-ftell-active-handler and tst-ftell-partial-wide in libio
      Fix use of uninitialized variable
      ChangeLog cleanup
      Correctly handle %p in wprintf (BZ #16890)
      Fix implicit declaration
      Don't use catomic functions in mcount (BZ #16912)
      Fix parsing of getai result from nscd for IPv6-only request
      Fix unbound stack use in NIS NSS module
      Fix typo in assertion
      Fix macro warning on HAVE_PT_CHOWN
      Remove last use of USE___THREAD
      Fix searching localedef input on I18NPATH (BZ #16984)
      Remove second argument from TLS_INIT_TP macro
      Fix invalid file descriptor reuse while sending DNS query (BZ #15946)
      Install uz_UZ.UTF-8 locale (BZ #16095)
      ChangeLog fix
      m68k: avoid pointer to integer conversion warning
      m68k: Consolidate NPTL/non versions of vfork
      m68k: Consolidate NPTL/non versions of clone
      Update feature guard for strdup/strndup in <bits/string2.h>
      Pass $TIMEOUTFACTOR to tests also in cross testing
      Fix typo in preprocessor conditional
      m68k: update libm test ULPs
      Don't read past end of pattern in fnmatch (BZ #17062)
      Fix memory leak in regexp compiler (BZ #17069)
      Fix another memory leak in regexp compiler (BZ #17069)
      Don't ignore too long lines in nss_files (BZ #17079)
      Remove unused label
      m68k: Add compat symbols for scalbln*
      Update i386 libm test ULPs
      Fix missing newline in test output
      m68k: update libm test ULPs
      ChangeLog fix
      m68k: use generic lowlevellock.h
      Fix -Wundef warning for HAVE_IFUNC
      Fix missing <math_private.h> in ldbl-96 fma

Arjun Shankar (1):
      Correctly report nscd child process status (BZ #17092)

Aurelien Jarno (5):
      SPARC: add EFD_SEMAPHORE in <bits/eventfd.h> (BZ #16916)
      ptsname_r: don't leak uninitialized memory (BZ #16917)
      SPARC: add prlimit and prlimit64 in <bits/resource.h> (BZ #16943)
      fix nl_langinfo with static linking (BZ #16915)
      Fix strtold on 32-bit sparc (and probably others) (BZ #16965)

Bernard Ogden (3):
      hppa: Remove lowlevellock.c.
      MIPS - Remove mips lowlevellock.h.
      Check value of futex before updating in __lll_timedlock

Carlos O'Donell (27):
      BZ #16613: Support TLS in audit libraries.
      BZ #16632: Change [_BSD/_SVID]_SOURCE warning.
      Add a new "Inter-Process Communication" chapter.
      Use @Theglibc{} in manual/ipc.texi.
      Promote do_lookup_x:check_match to a full function.
      Add header and standard information to threads.texi.
      Revert 4248f0da6ff9e7dd63464cdecec2dec332dfc2f0.
      hppa: Regenerate ULPs.
      hppa: Regenerate ULPs again.
      hppa: Remove fma ulps from libm-test-ulps.
      hppa: Add _STACK_GROWS_* cases to pthread_attr_[sg]etstack.
      Fix ChangeLog formatting.
      manual/ipc.texi: Fix AC-safety notes.
      nscd: Make SELinux checks dynamic.
      Support _r_debug for static binaries.
      manual: Sort overview listing by manual order.
      hppa: Use r25 as second input to __longjmp.
      hppa: Use lll_futex_wake.
      hppa: Update lowlevellock.h.
      Relocate hppa from ports to libc.
      Remove ports README and update machine ChangeLogs.
      Final update to ports ChangeLog.
      Fix -Wundef warning for FEATURE_INDEX_1.
      Remove nested function mi_arena from malloc_info.
      hppa: Add ABI baselines.
      hppa: Remove GLIBC_2.3 from librt.abilist.
      NEWS: Typo fix: s/wil /will /g

Chris Metcalf (7):
      Move tilegx, tilepro, and linux-generic from ports to libc.
      tile: Fix cut-and-paste bug in commit fcccd5128.
      math: make test-fenv-preserve.c a no-op if FE_ALL_EXCEPT == 0.
      crypt: don't include ufc-crypt.h multiple times
      tile: move sysdeps/unix/sysv/linux/tile nptl files.
      tile: Consolidate NPTL/non versions of vfork
      [BZ #17354] tile: Fix up corner cases with signed relocations

David Holsgrove (2):
      [MicroBlaze]: Move MicroBlaze from ports to sysdeps.
      MicroBlaze: Add missing sysdep-cancel.h implementation

David S. Miller (17):
      Fix tst-sscanf and tst-swscanf on 64-bit.
      Regenerate sparc ULPs.
      Fix sigaction conform test failures on sparc.
      Fix some sparc conform test failures in siginfo.h
      Fix some sparc -Wundef build warnings.
      Correct sparc CPP guards for EMT_TAGOVF.
      Add round-mode context support to sparc.
      Fix v9/64-bit strcmp when string ends in multiple zero bytes.
      NEWS: Add 16885 to fixed bug list.
      Fix some termios.h conformtest failures on sparc.
      Fix excessive ULP for y1_upward (0x2p+0) in test-float and test-ifloat.
      Update Sparc ULPS.
      Fixup ChangeLog and add missing NEWS entry for previous commits.
      Consolidate sparc clone, fork, and vfork implementations.
      Update Sparc ULPs.
      Update sparc ULPS.
      Get rid of sparc specific NPTL internaltypes.h header.

David Svoboda (1):
      manual: clarify buffer behavior in getline [BZ #5666]

Dominik Vogt (1):
      S/390: Port of lock elision to System/z

Dylan Alex Simon (1):
      Update x86_64 libm-test-ulps on AMD family 21h model 1 (bug 16545).

Eric Wong (1):
      Avoid stat/fstat in statvfs/fstatvfs (BZ #15132)

Florian Weimer (12):
      misc/sys/select.h (__FD_MASK): Avoid signed integer overflow.
      Check for syscall error in the SETXID implementation in NPTL (bug 13347).
      Update NEWS for fixed bug 13347
      posix_spawn_file_actions_addopen needs to copy the path argument (BZ 17048)
      Fix tautological comparison in non-executed part of tst-setuid2 (BZ #17058)
      setlocale: Use the heap for the copy of the locale argument
      _nl_find_locale: Improve handling of crafted locale names [BZ #17137]
      manual: Update the locale documentation
      nptl: Fix abort in case of set*id failure [BZ #17135]
      __gconv_translit_find: Disable function [BZ #17187]
      Fix typo in CVE ID
      CVE-2014-6040: Crashes on invalid input in IBM gconv modules [BZ #17325]

Guo Yixuan (2):
      Fixed pthread_spin_lock on sparc32/64 (bug 16882)
      New test for pthread_spin_lock (bug 16882)

H.J. Lu (8):
      Check AVX-512 assembler support first
      Replace __int128 with __int128_t in bits/link.h
      Use 3 bytes for __pad1 in pthread_rwlock_t for x32
      Remove sysdeps/x86_64/multiarch/rtld-strlen.S
      Add ifunc tests for x86_64 memset_chk and memset
      Enable AVX2 optimized memset only if -mavx2 works
      Replace cpuid asm statement with __cpuid_count
      Mention fixes for BZs 16194 and 16275 in NEWS

Ian Bolton (4):
      [AArch64] Provide initial implementation of math_private.h.
      [AArch64] Define HAVE_RM_CTX and related hooks.
      Add fenv test support for AArch64.
      [AArch64] Suppress unnecessary FPSR and FPCR writes.

Igor Zamyatin (3):
      Save and restore AVX-512 zmm registers to x86-64 ld.so
      Save/restore bound registers in _dl_runtime_resolve
      Save/restore bound registers for _dl_runtime_profile

Jeff Layton (1):
      fcntl-linux.h: add new definitions and manual updates for open file description locks

Jim Meyering (1):
      regex: don't deref NULL upon heap allocation failure

Joey Ye (1):
      Fix ARM NAN fraction bits.

Jose E. Marchesi (1):
      Fix sparc memcpy data corruption when using niagara2 optimized routines.

Joseph Anthony Pasquale Holsten (1):
      Fix typo in comment in res_query.c

Joseph Myers (158):
      Remove am33 port.
      Move shared sysdeps files from alpha to arm.
      Move arm from ports to libc.
      Fix whitespace in ARM files to allow move.
      Remove mips dependency on alpha.
      Move shared umount.c from hppa to mips.
      Move mips from ports to libc.
      Fix whitespace in MIPS files to allow move.
      Merge MIPS dl-lookup.c into generic file.
      Regenerate x86_64 ulps.
      Remove _BSD_SOURCE and _SVID_SOURCE.
      soft-fp: support after-rounding tininess detection.
      Make ABI tests generate .out files.
      Stop io/ftwtest deleting its own output.
      Remove indirection in stdio-common tests dependencies.
      Remove reference to subdir_lint.out.
      Combine __USE_BSD and __USE_SVID into __USE_MISC.
      Update MIPS math-tests.h for GCC 4.9 using soft-fp.
      Clean up trivially redundant __USE_MISC conditionals.
      Split up rules for tests that compare output with baselines.
      Split up rules for tests using mtrace and something else.
      Fix gen-auto-libm-tests sticky bit setting for negative results.
      Move tests of fma from libm-test.inc to auto-libm-test-in.
      Move tests of clog10 from libm-test.inc to auto-libm-test-in.
      Update ARM HWCAP data.
      Fix __ASSUME_ACCEPT4 issues (bug 16609).
      Fix __ASSUME_RECVMMSG issues (bug 16610).
      Fix __ASSUME_SENDMMSG issues (bug 16611).
      Complete _BSD_SOURCE / _SVID_source followup cleanup.
      Generate .test-result files for tests with special rules.
      Consistently include Makeconfig after defining subdir.
      Support expected failures in .test-result files.
      Fix libm-test.inc:print_complex_max_error handling of some error cases.
      Don't include individual test ulps in libm-test-ulps.
      Automatically check sanity of ulps from libm tests.
      Adjust how gen-auto-libm-tests handles before-rounding/after-rounding cases.
      Don't define __ASSUME_UTIMES for linux-generic architectures.
      Prepare libm-test.inc structures for multi-rounding-mode testing.
      Remove INSTALL_INFO setting in manual/Makefile.
      conformtest: correct set of standards for which some headers are tested.
      conformtest: correct set of standards for which more headers are tested.
      Enumerate tests with special rules in tests-special variable.
      conformtest: clean up POSIX expectations for semaphore.h, signal.h, tar.h.
      conformtest: split up running of tests from makefile.
      Generate overall summary of test results.
      Make tests consistently use *.out output files.
      Count miscellaneous files built on host for testing as tests.
      Include all of <time.h> from <sched.h> for older standards (bug 16670).
      Fix POSIX namespace for <bits/siginfo.h> (bug 16674).
      Add libm-test.inc macro for all-rounding-modes testing.
      Fix nextafter overflow in non-default rounding modes (bug 16677).
      Fix MIPS libc_feresetround*_ctx to preserve exceptions.
      Fix __ASSUME_PSELECT for MicroBlaze (bug 16642).
      Regenerate INSTALL.
      Do not terminate default test runs on test failure.
      Add libm-test support for per-rounding-mode manually specified results.
      Test rint and nearbyint with same inputs, in all rounding modes.
      Exit with error status on check-abi failure.
      Test scalbn and scalbln in all rounding modes, add more tests of negative arguments.
      Fix __ASSUME_PREADV and __ASSUME_PWRITEV for Alpha and MicroBlaze (bug 16649).
      Use ALL_RM_TEST for more libm tests.
      Make libm-test support ALL_RM_TEST with AUTO_TESTS_*.
      Test most libm functions in all rounding modes.
      Fix log (1) in round-downward mode (bug 16731).
      Fix -Wundef warnings for _ABI* on MIPS.
      Fix dbl-64 exp overflow/underflow in non-default rounding modes (bug 16284).
      Fix implicit __isinf declarations in exp.
      Relax gen-auto-libm-tests may-underflow rules, test log1p in all rounding modes.
      Add empty GLIBC_2.2.5 version to elf/Versions.
      Make x86_64 fegetenv preserve exception mask (bug 16198).
      Fix x86/x86_64 expl/exp10l spurious underflows (bug 16348).
      Fix clog10 (-0 +/- 0i) (bug 16362).
      Fix scalb spurious "invalid" exceptions (bug 16770).
      Fix futimesat for older MicroBlaze kernels (bug 16648).
      Correct robust mutex / PI futex kernel assumptions (bug 9894).
      Set errno for atan2 underflow (bug 16349).
      Set errno for scalb errors (bug 6803, bug 6804).
      Fix clog / clog10 sign of zero result in round-downward mode (bug 16789).
      Fix catan, catanh, __ieee754_logf in round-downward mode (bug 16799, bug 16800).
      conformtest: clean up POSIX expectations for stdlib.h, string.h.
      Increase minimum Linux kernel version to 2.6.32.
      Include SSE state in i386 fenv_t (bug 16064).
      Clean up kernel version conditionals for pre-2.6.32 kernels.
      Clean up ARM old-ABI symbol versioning relics.
      Reduce kernel-features.h duplication.
      Fix erf underflow handling near 0 (bug 16516).
      Fix acosh (1) in round-downward mode (bug 16927).
      Fix cacos (+Inf + finite*i) in round-downward mode (bug 16928).
      Fix log1pl (LDBL_MAX) in FE_UPWARD mode (bug 16564).
      Use existing makefile variables for dependencies on glibc libraries.
      Fix ARM build with GCC trunk.
      Consistently use $(elf-objpfx).
      Don't mention linuxthreads in Depend files.
      Fix log10 (1) in round-downward mode (bug 16977).
      Define TSVTX in tar.h for older POSIX (bug 16978).
      Include LOCPATH in default test environment.
      Don't require test wrappers to preserve environment variables, use more consistent environment.
      Remove redundant C locale settings.
      conformtest: clean up POSIX expectations for termios.h, time.h.
      Remove special makefile rules / .sh files for some localedata tests.
      Fix log2 (1) in round-downward mode (bug 17042).
      conformtest: clean up POSIX expectations for sys/mman.h, sys/stat.h, sys/types.h.
      Add CFI to x86 ceil / floor / trunc (bug 16681).
      Use $(rtld-prefix) more consistently.
      Fix __ieee754_logl (-LDBL_MAX) in FE_DOWNWARD mode (bug 17022).
      Remove __ASSUME_ATFCTS conditionals in sysdeps/unix/sysv/linux/.
      Remove __ASSUME_ADJ_OFFSET_SS_READ.
      Remove __ASSUME_AT_RANDOM.
      Remove __ASSUME_F_GETOWN_EX.
      Remove __ASSUME_SOCK_CLOEXEC / SOCK_CLOEXEC conditionals in Linux-specific code.
      Include <kernel-features.h> explicitly where required.
      Remove ARM __ASSUME_SIGFRAME_V2.
      Update headers for Linux 3.15.
      Fix pow overflow in non-default rounding modes (bug 16315).
      Test cpow in all rounding modes.
      Set errno for y1 overflow (bug 17050).
      Fix cosh spurious underflows from expm1 (bug 16354), inaccurate results near 0 (bug 17061).
      Move architecture cases out of sysdeps/unix/sysv/linux/configure.ac.
      Fix ldbl-128 erfl spurious underflows (bug 16287).
      Fix x86/x86_64 expm1l spurious underflow exceptions (bug 16539).
      Remove __ASSUME_COMPLETE_READV_WRITEV.
      Fix exp10 spurious underflows (bug 16560).
      Remove __ASSUME_UTIMENSAT.
      Update README and NEWS for ports directory removal.
      Remove __ASSUME_XFS_RESTRICTED_CHOWN.
      Update timezone code from tzcode 2014e.
      Move base_machine and machine settings from configure.ac to sysdeps preconfigure fragments.
      Remove BROKEN_PPC_ASM_CR0 configure test.
      Remove stray includes of kernel-features.h.
      Move USE_REGPARMS define to sysdeps/i386/configure.ac.
      Remove __ASSUME_O_CLOEXEC / O_CLOEXEC conditionals in sysdeps/unix/sysv/linux/.
      Remove configure tests for assembler CFI support.
      Remove powerpc special cases in configure.ac.
      Update miscellaneous files from upstream sources.
      Update scripts/list-sources.sh for ports repository merge.
      Fix MIPS64 *_nocancel gp setup.
      Fix yn overflow handling in non-default rounding modes (bug 16561, bug 16562).
      Remove relro configure test.
      Remove shlib-versions ABI names support.
      Fix ldbl-128 powl sign of result in overflow / underflow cases (bug 17097).
      Rename soft-fp extended.h, op-common.h variables to avoid risk of shadowing.
      Rename soft-fp op-[1248].h variables to avoid risk of shadowing.
      Fix ldbl-128 expm1l spurious underflow (bug 16539).
      Regenerate ARM libm-test-ulps.
      Regenerate powerpc-nofpu libm-test-ulps.
      Regenerate MIPS libm-test-ulps.
      MicroBlaze: Update kernel-features.h for syscalls added in 3.15
      Move architecture shlib-versions files to Linux-specific directories.
      Refactor handling of /lib64 etc. cases, move out of sysdeps/gnu/configure.ac.
      Split x86_64 out of main Linux kernel-features.h.
      Split i386 out of main Linux kernel-features.h.
      Split sparc out of main Linux kernel-features.h.
      Split powerpc out of main Linux kernel-features.h.
      Split sh out of main Linux kernel-features.h.
      Split s390 out of main Linux kernel-features.h.
      Fix fallback fesetenv and feupdateenv on FE_NOMASK_ENV (bug 17088).
      Fix powerpc-nofpu __fe_enabled_env and __fe_nonieee_env (bug 17261).
      Fix powerpc32 __get_clockfreq for non-power4 (bug 17263).

Julian Brown (1):
      ARM: Fix R_ARM_IRELATIVE RELA relocations.

Khem Raj (1):
      Define __GI_fegetenv for e500 libm

Konstantin Serebryany (2):
      Remove nested functions: crypt/md5-crypt.c
      Remove redundant nested function b64_from_24bit

Kyle McMartin (1):
      [AARCH64] correct alignment of TLS_TCB_ALIGN (BZ #16796)

Ling Ma (2):
      Add x86_64 memset optimized for AVX2
      Improve 64bit memcpy performance for Haswell CPU with AVX instruction

Ludovic Courtès (1):
      nscd: Remove unused typedef and variable.

Maciej W. Rozycki (8):
      ARM: soft-fp NaN representation correction
      [BZ #17075] ARM: Fix immediate calculation of R_ARM_TLS_DESC
      stdlib/tst-qsort2.c: Fix off-by-one argc interpretation error
      [BZ #16046] dl_iterate_phdr static executable test
      sysdeps/unix/sysv/linux/bits/socket.h: Correct formatting
      test-skeleton: Kill any child process's offspring
      stdlib/tst-strtod-overflow: Bump timeout up yet
      [BZ #17078] ARM: R_ARM_TLS_DESC prelinker support

Marcus Shawcroft (7):
      Relocate AArch64 from ports to libc.
      [AArch64] Optional trapping exceptions support.
      [AArch64] Regenerate libm-test-ulps.
      Revert "ARM: Improve fenv implementation"
      [AArch64] Regenerate libm-test-ulps
      Revert "Add bug 16918 to NEWS."
      Revert "aarch64: Add hp-timing.h"

Mark Wielaard (1):
      i386 TLS_INIT_TP might produce bogus asm changing stack pointer [BZ #17319]

Marko Myllynen (1):
      Replace __int128 with __int128_t

Meador Inge (1):
      get_nprocs: Only return explictly set cache values (BZ #16996)

Mike Frysinger (23):
      linux_fsinfo.h: sync with current linux/magic.h
      tzselect: stop requiring ksh
      linux: bits/in.h: sync with latest kernel headers
      linux: bits/in.h: sync with latest kernel headers
      tst-longjmp_chk: add comments and convert to test-skeleton
      tests: unify fortification handler logic
      tst-longjmp_chk3: new test for checking sigaltstack edge cases
      tst-backtrace4: expand output even on failures
      manual: setjmp: fix typos/grammar
      sem_open: allow RAMFS_MAGIC for mount points
      shm_open: sync with logic in sem_open
      ia64: relocate out of ports/ subdir
      tst-longjmp_chk2: add comments/sanity check
      manual: time: fix typo in IST example
      sotruss: drop ksh support and add basic POSIX shell support
      delete ksh checks
      stop supporting bash-1.x
      tst-setcontext: fix style
      add ChangeLog for previous commit
      ia64: define nocancel entry points in PSEUDO
      add ChangeLog for previous commit
      tst-gettext2: make setup more robust
      detect broken linker handling of __ehdr_start

Ondřej Bílka (20):
      Remove THREAD_STATS.
      Deduplicate setenv.
      Fix previous commit.
      Use glibc_likely instead __builtin_expect.
      Remove unused variable from stdlib/setenv.c
      Deduplicate resolv/nss_dns/dns-host.c
      Simplify calloc implementation.
      Fix two spaces after sentence.
      Make strtok benchmark competive.
      Add changelog.
      Fix recvmmsg comment.
      Fix types of stream hook functions in manual.
      Fix typo in nptl/sockperf.c
      Fix typo in nscd/selinux.c
      fix changelog.
      Remove duplicate code in elf/dl-deps.c.
      revert commit fdfd175d46ac6a810ebdeb2a2936e6d7d13995ab
      Remove mi_arena nested function.
      Fix typo in manual.
      Fix memory overrun in getifaddrs_internal. Fixes bug 15698.

Paul Eggert (2):
      Sync up mktime with gnulib
      misc/sys/cdefs.h: Add _Noreturn macro for pre-C11 compilers

Paul Pluzhnikov (8):
      2014-03-12  Paul Pluzhnikov  <ppluzhnikov@google.com>
      Add missing elf/tst-pie2.c -- should have been in
      Fix BZ #16634.
      Address post-commit patch comments.
      2014-03-26  Paul Pluzhnikov  <ppluzhnikov@google.com>
      2014-03-27  Paul Pluzhnikov  <ppluzhnikov@google.com>
      2014-04-11  Paul Pluzhnikov  <ppluzhnikov@google.com>
      Fix typo on ChangeLog.

Peter TB Brett (1):
      Use statvfs64() for pathconf(_PC_NAME_MAX).

Rajalakshmi Srinivasaraghavan (3):
      print length in strrchr benchtest
      PowerPC: strrchr optimization for POWER7/PPC64
      PowerPC: Fix nearbyintl failure for few inputs

Rasmus Villemoes (1):
      manual: Update prototypes for alphasort and friends

Richard Earnshaw (1):
      [AArch64] Add optimized strchr.

Richard Henderson (55):
      Relocate alpha from ports to libc
      alpha: Regenerate sysdeps/alpha/libm-test-ulps
      alpha: Fix __pointer_chk_guard definition for the testsuite
      alpha: Enable unwind tables for backtrace.c
      alpha: Remove alpha-linux pthread_once.c
      Merge remote-tracking branch 'origin/roland/nptl-alpha'
      alpha: Create __syscall_nocancel entry points
      alpha: Define ELF_MACHINE_NO_RELA
      alpha: Remove bits/siginfo.h (BZ 16966)
      alpha: fix sa_flags type (BZ 16967)
      aarch64: Merge rtld_errno offset with memory reference
      aarch64: Merge __local_multiple_threads offset with memory reference
      alpha: Remove nptl/fork.c
      alpha: Merge standard and nptl clone.S
      alpha: Consolidate NPTL/non versions of vfork
      alpha: Move remaining files out of sysdeps/unix/sysv/linux/alpha/nptl/
      Only support ifunc in nptl/pt-vfork.c
      Only provide non-default symbols in libpthread for vfork
      alpha: Do non-default symbols in pt-vfork.S
      aarch64: Fix DO_CALL block comment
      aarch64: Remove DOARGS/UNDOARGS macros
      aarch64: Tidy syscall error check
      arm,aarch64: Remove SINGLE_THREAD_P_PIC
      aarch64: Tabify sysdep-cancel.h
      aarch64: Share code in syscall-cancel.h
      aarch64: Pass regno parameter to SINGLE_THREAD_P
      aarch64: Improve syscall-cancel stack frame
      aarch64: Use tpidr_el0 rather than __read_tp in librt
      aarch64: Use tpidr_el0 rather than __errno_location in librt
      aarch64: Rely on syscalls preserving registers
      aarch64: Fix error return from __ioctl
      aarch64: Remove PSEUDO_RET
      aarch64: Consolidate NPTL/non versions of clone
      aarch64: Consolidate NPTL/non versions of vfork
      aarch64: Remove nptl/vfork.S
      alpha: Update libm-test-ulps
      alpha: Fix isnan
      powerpc: Remove dummy hp-timing.h
      Removing HP_TIMING_ZERO as unused
      Removing HP_TIMING_ACCUM as unused
      Remove HP_TIMING_DIFF_INIT and dl_hp_timing_overhead
      Unify hp-timing implementations
      aarch64: Add hp-timing.h
      Always provide HP_SMALL_TIMING_AVAIL
      Rely on HP_TIMING_AVAIL implies HP_SMALL_TIMING_AVAIL
      Changelog for last 8 patches
      alpha: Remove round and roundf implementations
      alpha: Fix lround implementations
      alpha: Implement math_opt_barrier and math_force_eval
      alpha: Remove nearbyint and nearbyintf implementations
      aarch64: Update libm-test-ulps
      Force eval for fma implementations
      alpha: Remove linux lowlevellock.h
      alpha: Remove linux lowlevellock.h
      alpha: Fix exception raising from soft-fp

Roland McGrath (150):
      Avoid comma operator warnings.
      Remove unused %include lines from Versions files.
      Remove obsolete SHLIB_COMPAT conditionalization in Versions files.
      Add missing } in Versions file.
      Fix fallout from Joseph's untested Makeconfig change.
      Retire the separate ChangeLog files in nptl/ and nptl_db/ subdirs.
      ARM: Fix up setjmp/longjmp changes sfi_* macro use.
      ChangeLog format fix.
      Use __ehdr_start, when available, for rtld to get its own headers.
      Fix two stray cases using #ifdef vs #if for TLS_TCB_AT_TP.
      Compile with -Wundef.
      Get rid of Versions.def source file
      Remove "Compiled on ..." crapola from version text.
      Work around binutils bugs in 2.23 and older
      Move bits/mman-linux.h out of sysdeps/unix/sysv/linux/.
      Add comments about non-Linux use of bits/mman-linux.h.
      Kludge fix for Versions.def regression
      Factor mmap/munmap of PT_LOAD segments out of _dl_map_object_from_fd et al.
      Add deprecation header text to remaining ports/ChangeLog* files.
      Move ports/ChangeLog* files to ChangeLog.old-ports*, remove ports/ directory.
      Deconditionalize use of LLL_LOCK_INITIALIZER in bits/libc-lock.h.
      Fix -Wundef warnings for _IO_JUMPS_OFFSET.
      Fix -Wundef issues in generated errlist.c.
      Move rules for Linux-specific pldd program to Linux-specific Makefile.
      Move ARM internal unwind.h header to the right sysdeps directory.
      Fix -Wundef for _UTSNAME_DOMAIN_LENGTH.
      Some configure-related decrufting.
      Silence a missing-noreturn warning for _Unwind_Resume.
      Make armv7 strcmp assembly compatible with ARM mode and SFI.
      Clean up __exit_thread.
      Consolidate NPTL vs non clone.S for ARM.
      Consolidate NPTL configury for ARM/Linux.
      Verbatim NPTL file moves for ARM/Linux.
      Move NPTL public ABI headers for ARM to sysdeps/arm/nptl/.
      ARM: Consolidate NPTL/non versions of vfork
      x86: Consolidate NPTL/non versions of vfork
      Move NPTL public ABI headers for x86 to sysdeps/x86/nptl/.
      x86: Consolidate NPTL/non versions of clone
      Move x86_64 timer_*.c out of nptl/
      Move x86_64 compat-timer.h out of nptl/
      x86_64: Remove useless pthread_spin_{init,unlock} wrapper files.
      Update s390 timer_*.c files for x86_64 file moves.
      Consolidate not-cancel.h files.
      x86: Consolidate NPTL fork.
      Move remaining nptl/sysdeps/unix/sysv/linux/x86_64/ files.
      i386: Remove useless pthread_spin_{init,unlock} wrapper files.
      Update alpha and ia64 timer_*.c files for x86_64 file moves.
      Fix powerpc fork after i386 reorganization.
      Move remaining nptl/sysdeps/unix/sysv/linux/i386/ files.
      Fix mips fork after i386 reorganization.
      Move remaining files out of nptl/sysdeps/unix/sysv/linux/x86/.
      x86: Move abilist files out of nptl/ subdirectories.
      Split arch-fork.h from fork.h
      Add stub arch-fork.h header.
      ARM: Convert fork.c to arch-fork.h
      Alpha: Convert fork.c to arch-fork.h
      Fix __waitpid_nocancel link error.
      AArch64: Convert fork.c to arch-fork.h
      SH: Convert fork.c to arch-fork.h
      IA64: Convert fork.c to arch-fork.h
      tile: Convert fork.c to arch-fork.h
      SH: Consolidate NPTL/non versions of clone
      m68k: Convert fork.c to arch-fork.h
      SH: Consolidate NPTL/non versions of vfork
      Move NPTL public ABI headers for SH to sysdeps/sh/nptl/.
      Start cleaning up TLS initial value for pthread_create.
      ARM: Define TLS_DEFINE_INIT_TP
      MIPS: Define TLS_DEFINE_INIT_TP
      HPPA: Define TLS_DEFINE_INIT_TP
      m68k: Define TLS_DEFINE_INIT_TP
      SH: Define TLS_DEFINE_INIT_TP
      AArch64: Define TLS_DEFINE_INIT_TP
      PowerPC: Define TLS_DEFINE_INIT_TP
      Alpha: Define TLS_DEFINE_INIT_TP
      S390: Define TLS_DEFINE_INIT_TP
      Tile: Define TLS_DEFINE_INIT_TP
      Move x86_64 code out of nptl/ subdirectory.
      Move SH code out of nptl/ subdirectory.
      Move i386 code out of nptl/ subdirectory.
      Consolidate NPTL sigprocmask.
      Get rid of nptl/sysdeps/pthread/ subdirectory
      Use list.h in posix-timer code.
      SPARC: Convert fork.c to arch-fork.h
      SPARC: Define TLS_DEFINE_INIT_TP
      Move SPARC code out of nptl/sysdeps/sparc/.
      Move SPARC public headers out of nptl/
      S390: Convert fork.c to arch-fork.h
      Move S390 code out of nptl/sysdeps/s390/.
      S390: Move NPTL public headers to sysdeps/s390/nptl/.
      Move remaining SPARC code out of nptl/.
      Missing new file from last commit.
      Move linux bits/ files out of nptl/.
      Clean up stack-coloring macros.
      Clean up HAVE_CONFIG_H and STDC_HEADERS.
      Remove unused file rtld-lowlevel.h.
      Move generic smp.h to nptl/
      SH: Consolidate nptl/ subdirectories under linux/.....
      m68k: Consolidate nptl/ subdirectories under linux/...
      MIPS: Move NPTL public headers to sysdeps/mips/nptl/.
      powerpc: Consolidate nptl/ subdirectories under linux/....
      Remove an unused variable in fstatvfs.
      Add missing #include in get-rounding-mode.h
      x86: Consolidate unnecessary nptl/ subdirectories.
      SPARC: Consolidate nptl/ subdirectories under linux/...
      SPARC: Consolidate unnecessary nptl/ subdirectories.
      MIPS: Consolidate NPTL/non versions of clone
      AArch64: Consolidate nptl/ subdirectories under linux/...
      S390: Consolidate NPTL/non versions of clone
      S390: Consolidate NPTL/non versions of vfork
      Move remaining S390 code out of nptl/.
      S390: Consolidate nptl/ subdirectories under linux/...
      Add missing #include in spawn_faction_addopen.c
      Add missing #include <fpu_control.h> to ARM fesetenv/feupdateenv.
      ARM: Move more aeabi routine magic out of Linux-specific directories
      MIPS: Consolidate NPTL/non versions of vfork
      MIPS: Consolidate nptl/ subdirectories under linux/...
      ARM: Split Linuxism out of sysdeps/arm/nptl/tls.h
      MicroBlaze: Convert fork.c to arch-fork.h
      MicroBlaze: Define TLS_DEFINE_INIT_TP
      MicroBlaze: Move NPTL public headers to sysdeps/microblaze/nptl/.
      MicroBlaze: Consolidate NPTL/non versions of vfork
      MicroBlaze: Consolidate nptl/ subdirectories under linux/...
      Add missing #include for MIN/MAX users.
      Add missing #include for MIN use in dl-sysdep.c.
      S390: Quash unused variable warning due to no-op THREAD_SET_POINTER_GUARD.
      Robustify Linux kernel headers configure checks
      Add missing #include in sysdeps/alpha/fpu/s_nearbyint.c
      Fix unwind.h configure check for bare environment.
      Fix ia64 build error in lll_futex_timed_wait_bitset
      Get rid of nptl/sysdeps/ entirely!
      NPTL is no longer an add-on!
      Remove old stub lowlevellock.h file.  It is not even useful as documentation.
      Get rid of lll_robust_trylock.
      Get rid of lll_robust_dead.
      ChangeLog fixup for last commit.
      Remove declarations of two nonexistent variables from nptl/pthreadP.h.
      Separate Linuxisms from lowlevellock.h, make a generic one
      Add generic/stub implementations of pthread_{kill,sigmask,sigqueue}.
      ARM: Clean up EABI-related configury
      Split nptl-signals.h out from pthreadP.h
      Use __builtin_trap for ABORT_INSTRUCTION.
      Add __safe_fatal and use it in __pthread_unwind forwarder fallback.
      ARM: Move PTR_MANGLE et al out of Linux-specific file.
      Remove sysdeps/unix/sysv/linux/arm/lowlevellock.h
      IA64: Consolidate NPTL/non versions of clone
      IA64: Consolidate NPTL/non versions of vfork
      IA64: Define TLS_DEFINE_INIT_TP
      IA64: Move NPTL public headers to sysdeps/ia64/nptl/.
      IA64: Consolidate nptl/ subdirectories under linux/...
      NEWS: Mention x86-64 ld.so use of Intel MPX instructions.

Sami Kerola (1):
      tzselect: use zonedir instead of current working directory

Samuel Thibault (5):
      hurd: Do not allow unmapping address 0
      hurd: Move dtv, dtv_t, tcbhead_t declaration to per-arch file.
      hurd: Add i386 fields to TLS structure
      Simplify atomicity of socket creation in bind.
      Fix hang on fork

Sean Anderson (1):
      malloc: fix comment typo

Serge Hallyn (1):
      misc/sys/xattr.h: guard against linux uapi header inclusion

Siddhesh Poyarekar (85):
      Minor formatting fix
      Fix sign of input to bsloww1 (BZ #16623)
      Fix ChangeLog formatting
      Fix missing ChangeLog
      nscd: Improved support for tracking startup failure in nscd service (BZ #16639)
      Separate ftell from fseek logic and avoid modifying FILE data (#16532)
      Use cached offset in ftell when reliable
      Fix up formatting
      Fix up formatting in tst-ftell-active-handler.c
      Mark nscd service as forking in systemd service file (BZ #16639)
      Provide correct buffer length to netgroup queries in nscd (BZ #16695)
      Get rid of __LT_SPINLOCK_INIT
      Fix up return codes for tests in tst-ftell-active-handler
      Fix offset caching for streams and use it for ftell (BZ #16680)
      Change offset in fdopen only if setting O_APPEND
      Fix -Wundef warnins for __FP_FAST_FMA*
      Implement benchmarking script in python
      ChangeLog formatting fix
      benchtests: Move bench.py to benchtests/scripts/
      Fix nscd lookup for innetgr when netgroup has wildcards (BZ #16758)
      Avoid overlapping addresses to stpcpy calls in nscd (BZ #16760)
      Return NULL for wildcard values in getnetgrent from nscd (BZ #16759)
      [benchtests] Use inputs file for modf
      Make bench.out in json format
      Detailed benchmark outputs for functions
      benchtests: Link against objects in build directory
      Include atomic.h in sem_wait.c and sem_trywait.c
      Use test-skeleton.c in tst-sem3 and tst-sem4
      Do not fail if one of the two responses to AF_UNSPEC fails (BZ #14308)
      Consolidate code to initialize nscd dataset header
      Initialize all of datahead structure in nscd (BZ #16791)
      Return EAI_AGAIN for AF_UNSPEC when herrno is TRY_AGAIN (BZ #16849)
      Fix formatting
      Fix date in ChangeLog
      Use NSS_STATUS_TRYAGAIN to indicate insufficient buffer (BZ #16878)
      benchtests: Add new directive for benchmark initialization hook
      Fix offset computation for append+ mode on switching from read (BZ #16724)
      Add mmap usage in malloc_info output
      Fix formatting in malloc_info
      Fix format specifier for n_mmaps
      Inline nested function check_list
      Validate bench.out against a JSON schema
      Remove unnecessary $(.)
      Fix ChangeLog and NEWS goof-up
      Print offending diff when check-abi fails
      Fix build warning in pthread_rwlock_*
      Fix namespace violation in pthreadtypes.h (BZ #17084)
      Add compat symbols for scalb* in i386
      Fix Wundef warning for SEPARATE_KEY
      Fix Wundef warning for ELF_MACHINE_NO_RELA
      Fix Wundef warning for WIDE_CHAR_VERSION
      Remove inline keyword from leapyear function
      Remove unnecessary include in memmove_chk
      Correctly attribute the mktime.c change to Paul Eggert
      Fix Wundef warning for MEMCPY_OK_FOR_FWD_MEMMOVE
      Remove MULTI_PTRS_ARE_ALIASES in dns-hosts.c
      Add comment to gethnamaddr.c to warn that the file is unmaintained
      Fix typo in macro name
      Fix typo and formatting in loadmsgcat.c
      Fix -Wundef warning on PAGE_COPY_THRESHOLD
      Don't use __glibc_unlikely in shared code
      Fix Wundef warning for __STDC_VERSION__
      Sync up loadmsgcat.c with gettext
      Restore subdir conditional for tst-timer dependency.
      Add comment for MEMCPY_OK_FOR_FWD_MEMMOVE
      Fix Wundef warning with SHOJI_IS_RIGHT
      Fix Wundef warning for ELF_MACHINE_NO_REL on i386
      Check value at resplen2 if it is not NULL
      Fix Wundef warning for __cplusplus
      Fix -Wmaybe-uninitialized warning in xdr.c
      Add comment about SIZE initialization in xdr.c
      Fix crash when system has no ipv6 address [BZ #17125]
      Fix -Wundef warning for HAVE_OBSTACK
      Fix -Wundef warning for HAVE_SYS_PARAM_H
      Fix Wundef warning for HAVE_STRFTIME
      Fix -Wundef warning for HAVE_LOCALTIME_R
      Sync up error.c with gnulib
      Fix -Wundef warnings in fnmatch.c
      Check if DEBUG is defined in regex_internal.c
      Fix -Wundef warnings in regex_internal.h
      Disable x87 inline functions for x86_64 and SSE [BZ #17262]
      Fix comment error that Jakub pointed out but I forgot to fix
      Remove unnecessary uses of NOT_IN_libc
      Remove redundant CPPFLAGS for some programs
      Remove NOT_IN_libc definition for pthread_atfork

Sihai Yao (1):
      Detect if AVX2 is usable

Stefan Liebler (24):
      S/390: Regenerate ULPs.
      S390: Fix -Wundef warning for __PTHREAD_MUTEX_HAVE_ELISION.
      Use += before-compile instead of a :=.
      S390: Correct type of sa_flags in struct sigaction for POSIX conformance
      S390: Define SIZE_MAX as unsigned long (BZ #16712).
      S390: Fix namespace violation in struct stat (BZ #16714).
      NEWS: Add 16712, 16713, 16714 to fixed bug list.
      S/390: Unify 31 and 64 bit configure.ac
      [BZ #16824] Fix failing y1 due to too large ulps in downward/upward rounding mode.
      [BZ #14770] S/390: Require Binutils >= 2.24 for target S/390.
      S/390: Regenerate ULPs
      [BZ #16823] Fix log1pl returning wrong infinity sign
      Mention BZ16823 in NEWS
      Fix typo in tst-mutex5 ifndef -> ifdef
      Disable lock elision for PTHREAD_MUTEX_NORMAL.
      S/390: Regenerate ULPs.
      posix_spawn_faction_addopen: Add missing string.h include directive
      Fix pthread.h in installed-headers list.
      Generate en_GB.UTF-8 during testing
      [BZ #6803] Set errno for scalbln, scalbn
      S/390: Regenerate ULPs
      S/390: Revert the jmp_buf/ucontext_t ABI change.
      S390: Fix remaining ONE_DIRECTION warning messages
      NEWS: Explain the s390 jmp_buf / ucontext_t ABI change reversal.

Steve Ellcey (7):
      Add macros and inline functions to mips math_private.h file.
      2014-04-29  Steve Ellcey  <sellcey@mips.com>
      2014-05-01  Steve Ellcey  <sellcey@mips.com>
      2014-05-01  Steve Ellcey  <sellcey@mips.com>
      2014-05-01  Steve Ellcey  <sellcey@mips.com>
      2014-05-07  Steve Ellcey  <sellcey@mips.com>
      Add 16922 to list of bugs fixed.

Tomas Dohnalek (1):
      Generate .test-result files for ordinary tests.

Torvald Riegel (2):
      benchtests: Add pthread_once common-case test.
      Fixed and unified pthread_once.

Venkataramanan Kumar (1):
      aarch64: Add setjmp and longjmp SystemTap probes

Vidya Ranganathan (4):
      PowerPC: strspn optimization for PPC64/POWER7
      PowerPC: strncpy/stpncpy optimization for PPC64/POWER7
      PowerPC: Optimized strcmp for PPC64/POWER7
      PowerPC: strcat optimization for PPC64/POWER7

Wilco (18):
      Add fenv test support for targets which don't have FP traps.
      ARM: Improve fenv implementation
      ARM: Improve fenv implementation
      [AArch64] Rewrite feupdateenv (BZ 17009).
      [AArch64] Remove ISB after FPCR write.
      [AArch64] Cleanup declarations in math_private.h.
      [AArch64] Switch from FE_TOWARDZERO to _FPU_FPCR_RM_MASK
      Add FE_NOMASK_ENV return value test.
      Use libc calls defined by fenv_private.h to implement several fenv functions
      Speed up the ARM fenv implementation by avoiding unnecessary FPSCR
      Rewrite feupdateenv
      Add bug 16918 to NEWS.
      Cleanup fenv implementation
      Remove an unused include.
      Add _FPU_MASK_RM and use it instead of FE_TOWARDZERO.
      Optimize fesetenv
      Add bug 16918 to NEWS.
      Fix performance issue in misaligned strcpy.

Wilco Dijkstra (3):
      [ARM] Add support for fenv_private on ARM.
      Add generic HAVE_RM_CTX implementation
      This patch adds new function libc_feholdsetround_noex_aarch64_ctx, enabling

Will Newton (49):
      malloc/mtrace.c: Cosmetic cleanup.
      include/stap-probe.h: Add comment about SystemTap argument format
      manual/probes.texi: Add documentation of setjmp/longjmp probes
      manual/probes.texi: Use "triggered" instead of "hit"
      ARM: Add SystemTap probes to longjmp and setjmp.
      manual/setjmp.texi: Improve clarity of Sys V context doc
      Fix __PTHREAD_MUTEX_HAVE_ELISION -Wundef warning
      Fix HP_SMALL_TIMING_AVAIL -Wundef warnings
      Fix _IO_JUMPS_OFFSET -Wundef warnings
      Fix __STRICT_ANSI__ -Wundef warnings
      Fix HAVE_RM_CTX -Wundef warnings
      Revert "Fix HAVE_RM_CTX -Wundef warnings"
      Revert "Fix _IO_JUMPS_OFFSET -Wundef warnings"
      Revert "Fix HP_SMALL_TIMING_AVAIL -Wundef warnings"
      Revert "Fix __PTHREAD_MUTEX_HAVE_ELISION -Wundef warning"
      aarch64: Remove inaccurate comment from sysdep.h
      benchtests/bench-strtod.c: Increase timeout value
      benchtests: Add benchtests for ffs and ffsll
      benchtests: Build ffs and ffsl benchtests with -fno-builtin
      elf/dl-lookup.c: Remove obsolete comment about nested function
      string: Cosmetic cleanup of string functions
      malloc: Fix MALLOC_DEBUG -Wundef warning
      benchtests: Improve readability of JSON output
      aarch64: Re-implement setcontext without rt_sigreturn syscall
      stdlib/tst-setcontext.c: Check for clobbering of signal stack
      manual/setjmp.texi: Clarify setcontext and signal handlers text
      ARM: Remove lowlevellock.c
      NEWS: Add 15119 to fixed bug list
      ARM: Add optimized ARMv7 strcmp implementation
      ARM: Allow auto-detection of linker relro feature
      malloc: Add mallopt test.
      stdlib/gmp-impl.h: Silence -Wundef warning for USE_STACK_ALLOC
      AArch64: Fix handling of nocancel syscall failures
      ARM: Fix handling of concurrent TLS descriptor resolution
      malloc/malloc.c: Avoid calling sbrk unnecessarily with zero
      test-skeleton.c: Use stdout for error messages
      elf/dl-lookup.c: Move STB_GNU_UNIQUE handling to a function
      elf/dl-lookup.c: Remove unnecessary static variable
      elf/dl-lookup.c: Use __glibc_likely and __glibc_unlikely
      sysdeps/posix/tempname.c: Merge from gnulib
      ARM: Add support for AT_HWCAP2 in _dl_procinfo
      malloc/obstack: Merge from gnulib
      ARM: Define ELF_MACHINE_NO_REL
      string/memchr.c: Merge from gnulib
      Fix -Wundef warnings for SHARED
      iconv/loop.c: Fix -Wundef warning with !_STRING_ARCH_unaligned
      ARM: Fix compiler warnings from atomic.h
      AArch64: Remove lowlevellock.h
      Add BZ #16892 to NEWS

Yang Yingliang (1):
      Fix lll_unlock twice in pthread_cond_broadcast

Yufeng Zhang (1):
      [AArch64] Use GCC builtins to count leading/tailing zeros.

Yury Gribov (1):
      Update ARM ulps for VFPv4 (bug 16600).

Yvan Roux (1):
      AArch64: Remove asm/ptrace.h inclusion in sys/user.h and sys/procfs.h

-----------------------------------------------------------------------